<?php
// $Id: modinfo.php,v 1.1.2.13 2005/07/05 17:33:07 mithyt2 Exp $
define("_PROFILE_MI_NAME", "Extended Profiles");
define("_PROFILE_MI_DESC", "Module for managing custom user profile fields");

//Main menu links
define("_PROFILE_MI_EDITACCOUNT", "Edit Account");
define("_PROFILE_MI_CHANGEPASS", "Change Password");
define("_PROFILE_MI_CHANGEMAIL", "Change Email");

//Admin links
define("_PROFILE_MI_INDEX", "Index");
define("_PROFILE_MI_CATEGORIES", "Categories");
define("_PROFILE_MI_FIELDS", "Fields");
define("_PROFILE_MI_USERS", "Users");
define("_PROFILE_MI_PERMISSIONS", "Permissions");

//User Profile Category
define("_PROFILE_MI_CATEGORY_TITLE", "User Profile");
define("_PROFILE_MI_CATEGORY_DESC", "For those user fields");

//User Profile Fields
define("_PROFILE_MI_AIM_TITLE", "AIM");
define("_PROFILE_MI_AIM_DESCRIPTION", "America Online Instant Messenger Client ID");
define("_PROFILE_MI_ICQ_TITLE", "ICQ");
define("_PROFILE_MI_ICQ_DESCRIPTION", "ICQ Instant Messenger ID");
define("_PROFILE_MI_YIM_TITLE", "YIM");
define("_PROFILE_MI_YIM_DESCRIPTION", "Yahoo! Instant Messenger ID");
define("_PROFILE_MI_MSN_TITLE", "MSN");
define("_PROFILE_MI_MSN_DESCRIPTION", "Microsoft Messenger ID");
define("_PROFILE_MI_FROM_TITLE", "Location");
define("_PROFILE_MI_FROM_DESCRIPTION", "");
define("_PROFILE_MI_SIG_TITLE", "Signature");
define("_PROFILE_MI_SIG_DESCRIPTION", "Here, you can write a signature that can be displayed in your forum posts, comments etc.");
define("_PROFILE_MI_VIEWEMAIL_TITLE", "Allow other users to view my email address");
define("_PROFILE_MI_BIO_TITLE", "Extra Info");
define("_PROFILE_MI_BIO_DESCRIPTION", "");
define("_PROFILE_MI_INTEREST_TITLE", "Interests");
define("_PROFILE_MI_INTEREST_DESCRIPTION", "");
define("_PROFILE_MI_OCCUPATION_TITLE", "Occupation");
define("_PROFILE_MI_OCCUPATION_DESCRIPTION", "");
define("_PROFILE_MI_URL_TITLE", "Website");
define("_PROFILE_MI_URL_DESCRIPTION", "");
define("_PROFILE_MI_NEWEMAIL_TITLE", "New Email");
define("_PROFILE_MI_NEWEMAIL_DESCRIPTION", "Variable for storing a proposed new email address until confirmation comes from a mail sent to the old one. See modules/profile/changemail.php");

//Configuration categories
define("_PROFILE_MI_CAT_SETTINGS", "General Settings");
define("_PROFILE_MI_CAT_SETTINGS_DSC", "");
define("_PROFILE_MI_CAT_USER", "User Settings");
define("_PROFILE_MI_CAT_USER_DSC", "");

//Configuration items
define("_PROFILE_MI_PROFILE_SEARCH", "Show latest submissals by user on user profile");
define("_PROFILE_MI_MAX_UNAME", "Maximum Username Length");
define("_PROFILE_MI_MAX_UNAME_DESC", "This indicates the maximum number of characters, a username may have");
define("_PROFILE_MI_MIN_UNAME", "Minimum Username Length");
define("_PROFILE_MI_MIN_UNAME_DESC", "This indicates the minimum number of characters, a username must have");
define("_PROFILE_MI_DISPLAY_DISCLAIMER", "Display Disclaimer");
define("_PROFILE_MI_DISPLAY_DISCLAIMER_DESC", "If enabled, a disclaimer will be shown on the registration form");
define("_PROFILE_MI_DISCLAIMER", "Disclaimer Text");
define("_PROFILE_MI_DISCLAIMER_DESC", "This text will be shown on the registration form, if enabled above");
define("_PROFILE_MI_BAD_UNAMES", "Enter names that should not be selected as username or displayname");
define("_PROFILE_MI_BAD_UNAMES_DESC", "Separate each with a <b>|</b>, case insensitive, regex enabled.");
define("_PROFILE_MI_BAD_EMAILS", "Enter emails that should not be selected");
define("_PROFILE_MI_BAD_EMAILS_DESC", "Separate each with a <b>|</b>, case insensitive, regex enabled.");
define("_PROFILE_MI_MINPASS", "Minimum password length");
define("_PROFILE_MI_NEWUNOTIFY", "Notify by mail when a new user is registered?");
define("_PROFILE_MI_NOTIFYTO", "Select group to which new user notification mail will be sent");
define("_PROFILE_MI_ACTVTYPE", "Select activation type of newly registered users");
define("_PROFILE_MI_USERACTV","Requires activation by user (recommended)");
define("_PROFILE_MI_AUTOACTV","Activate automatically");
define("_PROFILE_MI_ADMINACTV","Activation by administrators");
define("_PROFILE_MI_ACTVGROUP", "Select group to which activation mail will be sent");
define("_PROFILE_MI_ACTVGROUP_DESC", "Valid only when 'Activation by administrators' is selected");
define("_PROFILE_MI_UNAMELVL","Select the level of strictness for username filtering");
define("_PROFILE_MI_STRICT","Strict (only alphabets and numbers)");
define("_PROFILE_MI_MEDIUM","Medium");
define("_PROFILE_MI_LIGHT","Light (recommended for multi-byte chars)");
define("_PROFILE_MI_ALLOWREG", "Allow new user registration?");
define("_PROFILE_MI_ALLOWREG_DESC", "Select yes to accept new user registration");
define("_PROFILE_MI_AVATARALLOW", "Allow custom avatar upload?");
define("_PROFILE_MI_AVATARALLOW_DESC", "");
define("_PROFILE_MI_AVATARWIDTH", "Avatar image max width (pixel)");
define("_PROFILE_MI_AVATARWIDTH_DESC", "");
define("_PROFILE_MI_AVATARHEIGHT", "Avatar image max height (pixel)");
define("_PROFILE_MI_AVATARHEIGHT_DESC", "");
define("_PROFILE_MI_AVATARMAX", "Avatar image max filesize (bytes)");
define("_PROFILE_MI_AVATARMAX_DESC", "");
define("_PROFILE_MI_SELFDELETE", "Allow users to delete own account?");
define("_PROFILE_MI_SELFDELETE_DESC", "");
define("_PROFILE_MI_AVATARMINPOSTS", "Minimum posts required");
define("_PROFILE_MI_AVATARMINPOSTS_DESC", "Enter the minimum number of posts required to upload a custom avatar");
define("_PROFILE_MI_ALLOWCHGMAIL", "Allow users to change email address?");
define("_PROFILE_MI_ALLOWCHGMAIL_DESC", "");
define("_PROFILE_MI_ALLOWVIEWACC", "Allow to view account");
define("_PROFILE_MI_ALLOWVIEWACC_DESC", "Individual fields can be set visible or invisible to users in fields administration,<br />but if you want to allow access to other users' accounts for certain groups only,<br /> while still allowing anonymous users to register,<br /> select the groups here");

//Pages
define("_PROFILE_MI_PAGE_INFO", "User Info");
define("_PROFILE_MI_PAGE_EDIT", "Edit User");
define("_PROFILE_MI_PAGE_SEARCH", "Search");
?>