CREATE TABLE `@@DB_MAIN_PREFIX@@_avatar` (
  `avatar_id` mediumint(8) unsigned NOT NULL auto_increment,
  `avatar_file` varchar(30) NOT NULL default '',
  `avatar_name` varchar(100) NOT NULL default '',
  `avatar_mimetype` varchar(30) NOT NULL default '',
  `avatar_created` int(10) NOT NULL default '0',
  `avatar_display` tinyint(1) unsigned NOT NULL default '0',
  `avatar_weight` smallint(5) unsigned NOT NULL default '0',
  `avatar_type` char(1) NOT NULL default '',
  PRIMARY KEY  (`avatar_id`),
  KEY `avatar_type` (`avatar_type`,`avatar_display`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_avatar_user_link` (
  `avatar_id` mediumint(8) unsigned NOT NULL default '0',
  `user_id` mediumint(8) unsigned NOT NULL default '0',
  KEY `avatar_user_id` (`avatar_id`,`user_id`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_banner` (
  `bid` smallint(5) unsigned NOT NULL auto_increment,
  `cid` tinyint(3) unsigned NOT NULL default '0',
  `imptotal` mediumint(8) unsigned NOT NULL default '0',
  `impmade` mediumint(8) unsigned NOT NULL default '0',
  `clicks` mediumint(8) unsigned NOT NULL default '0',
  `imageurl` varchar(255) NOT NULL default '',
  `clickurl` varchar(255) NOT NULL default '',
  `date` int(10) NOT NULL default '0',
  `htmlbanner` tinyint(1) NOT NULL default '0',
  `htmlcode` text NOT NULL,
  PRIMARY KEY  (`bid`),
  KEY `idxbannercid` (`cid`),
  KEY `idxbannerbidcid` (`bid`,`cid`)
) TYPE=MyISAM AUTO_INCREMENT=4;
INSERT INTO `@@DB_MAIN_PREFIX@@_banner` VALUES (1,1,0,4,0,'@@ROOT_URL@@/images/banners/xoops_banner.gif','http://www.xoops.org/',1008813250,0,''),(2,1,0,1,0,'@@ROOT_URL@@/images/banners/xoops_banner_2.gif','http://www.xoops.org/',1008813250,0,''),(3,1,0,2,0,'@@ROOT_URL@@/images/banners/banner.swf','http://www.xoops.org/',1008813250,0,'');
CREATE TABLE `@@DB_MAIN_PREFIX@@_bannerclient` (
  `cid` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(60) NOT NULL default '',
  `contact` varchar(60) NOT NULL default '',
  `email` varchar(60) NOT NULL default '',
  `login` varchar(10) NOT NULL default '',
  `passwd` varchar(10) NOT NULL default '',
  `extrainfo` text NOT NULL,
  PRIMARY KEY  (`cid`),
  KEY `login` (`login`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `@@DB_MAIN_PREFIX@@_bannerclient` VALUES (1,'XOOPS','XOOPS Dev Team','webmaster@xoops.org','','','');
CREATE TABLE `@@DB_MAIN_PREFIX@@_bannerfinish` (
  `bid` smallint(5) unsigned NOT NULL auto_increment,
  `cid` smallint(5) unsigned NOT NULL default '0',
  `impressions` mediumint(8) unsigned NOT NULL default '0',
  `clicks` mediumint(8) unsigned NOT NULL default '0',
  `datestart` int(10) unsigned NOT NULL default '0',
  `dateend` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`bid`),
  KEY `cid` (`cid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_block_instance` (
  `instanceid` int(12) unsigned NOT NULL auto_increment,
  `bid` int(12) unsigned NOT NULL default '0',
  `options` text NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `side` tinyint(1) unsigned NOT NULL default '0',
  `weight` smallint(5) unsigned NOT NULL default '0',
  `visible` tinyint(1) unsigned NOT NULL default '0',
  `bcachetime` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`instanceid`),
  KEY `join` (`instanceid`,`visible`,`weight`)
) TYPE=MyISAM AUTO_INCREMENT=4;
INSERT INTO `@@DB_MAIN_PREFIX@@_block_instance` VALUES (1,1,'a:0:{}','User Menu',0,0,1,0),(2,2,'a:0:{}','Login',0,0,1,0),(3,5,'a:0:{}','Main Menu',0,0,1,0);
CREATE TABLE `@@DB_MAIN_PREFIX@@_block_module_link` (
  `block_id` mediumint(8) unsigned NOT NULL default '0',
  `module_id` smallint(5) NOT NULL default '0',
  `pageid` smallint(5) NOT NULL default '0',
  PRIMARY KEY  (`block_id`,`module_id`,`pageid`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@_block_module_link` VALUES (1,0,0),(2,0,0),(3,0,0);
CREATE TABLE `@@DB_MAIN_PREFIX@@_config` (
  `conf_id` mediumint(8) unsigned NOT NULL auto_increment,
  `conf_modid` smallint(5) unsigned NOT NULL default '0',
  `conf_catid` smallint(5) unsigned NOT NULL default '0',
  `conf_name` varchar(25) NOT NULL default '',
  `conf_title` varchar(30) NOT NULL default '',
  `conf_value` text NOT NULL,
  `conf_desc` varchar(50) NOT NULL default '',
  `conf_formtype` varchar(15) NOT NULL default '',
  `conf_valuetype` varchar(10) NOT NULL default '',
  `conf_order` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`conf_id`),
  KEY `conf_mod_cat_id` (`conf_modid`,`conf_catid`)
) TYPE=MyISAM AUTO_INCREMENT=92;
INSERT INTO `@@DB_MAIN_PREFIX@@_config` VALUES (1,1,1,'sitename','_MD_AM_SITENAME','XOOPS Site','_MD_AM_SITENAMEDSC','textbox','text',0),(2,1,1,'slogan','_MD_AM_SLOGAN','Powered by You!','_MD_AM_SLOGANDSC','textbox','text',1),(3,1,1,'adminmail','_MD_AM_ADMINML','_admin_email_','_MD_AM_ADMINMLDSC','textbox','text',2),(4,1,1,'language','_MD_AM_LANGUAGE','@@LOCALE@@','_MD_AM_LANGUAGEDSC','language','other',3),(5,1,1,'startpage','_MD_AM_STARTPAGE','--','_MD_AM_STARTPAGEDSC','startpage','other',4),(6,1,1,'server_TZ','_MD_AM_SERVERTZ','0','_MD_AM_SERVERTZDSC','timezone','float',5),(7,1,1,'default_TZ','_MD_AM_DEFAULTTZ','0','_MD_AM_DEFAULTTZDSC','timezone','float',6),(8,1,1,'theme_set','_MD_AM_DTHEME','default','_MD_AM_DTHEMEDSC','theme','other',7),(9,1,1,'theme_set_admin','_MD_AM_ADMINTHEME','0','_MD_AM_ADMINTHEMEDSC','theme_admin','other',8),(10,1,1,'theme_fromfile','_MD_AM_THEMEFILE','0','_MD_AM_THEMEFILEDSC','yesno','int',9),(11,1,1,'theme_set_allowed','_MD_AM_THEMEOK','a:1:{i:0;s:7:\"default\";}','_MD_AM_THEMEOKDSC','theme_multi','array',10),(12,1,1,'template_set','_MD_AM_DTPLSET','default','_MD_AM_DTPLSETDSC','tplset','other',11),(13,1,1,'anonymous','_MD_AM_ANONNAME','Anonymous','_MD_AM_ANONNAMEDSC','textbox','text',12),(14,1,1,'gzip_compression','_MD_AM_USEGZIP','0','_MD_AM_USEGZIPDSC','yesno','int',13),(15,1,1,'usercookie','_MD_AM_USERCOOKIE','xoops_user','_MD_AM_USERCOOKIEDSC','textbox','text',14),(16,1,1,'use_mysession','_MD_AM_USEMYSESS','0','_MD_AM_USEMYSESSDSC','yesno','int',15),(17,1,1,'session_expire','_MD_AM_SESSEXPIRE','15','_MD_AM_SESSEXPIREDSC','textbox','int',16),(18,1,1,'session_name','_MD_AM_SESSNAME','xoops_session','_MD_AM_SESSNAMEDSC','textbox','text',17),(19,1,1,'debug_mode','_MD_AM_DEBUGMODE','a:1:{i:0;s:1:\"0\";}','_MD_AM_DEBUGMODEDSC','select_multi','array',18),(20,1,1,'banners','_MD_AM_BANNERS','1','_MD_AM_BANNERSDSC','yesno','int',19),(21,1,1,'closesite','_MD_AM_CLOSESITE','0','_MD_AM_CLOSESITEDSC','yesno','int',20),(22,1,1,'closesite_okgrp','_MD_AM_CLOSESITEOK','a:1:{i:0;s:1:\"1\";}','_MD_AM_CLOSESITEOKDSC','group_multi','array',21),(23,1,1,'closesite_text','_MD_AM_CLOSESITETXT','The site is currently closed for maintainance. Please come back later.','_MD_AM_CLOSESITETXTDSC','textarea','text',22),(24,1,1,'my_ip','_MD_AM_MYIP','127.0.0.1','_MD_AM_MYIPDSC','textbox','text',23),(25,1,1,'use_ssl','_MD_AM_USESSL','0','_MD_AM_USESSLDSC','yesno','int',24),(26,1,1,'sslpost_name','_MD_AM_SSLPOST','xoops_ssl','_MD_AM_SSLPOSTDSC','textbox','text',25),(27,1,1,'sslloginlink','_MD_AM_SSLLINK','https://','_MD_AM_SSLLINKDSC','textbox','text',26),(28,1,1,'com_mode','_MD_AM_COMMODE','nest','_MD_AM_COMMODEDSC','select','text',27),(29,1,1,'com_order','_MD_AM_COMORDER','0','_MD_AM_COMORDERDSC','select','int',28),(30,1,1,'enable_badips','_MD_AM_DOBADIPS','0','_MD_AM_DOBADIPSDSC','yesno','int',29),(31,1,1,'bad_ips','_MD_AM_BADIPS','a:1:{i:0;s:9:\"127.0.0.1\";}','_MD_AM_BADIPSDSC','textarea','array',30),(32,1,1,'module_cache','_MD_AM_MODCACHE','a:0:{}','_MD_AM_MODCACHEDSC','module_cache','array',31),(33,1,3,'meta_keywords','_MD_AM_METAKEY','news, technology, headlines, xoops, xoop, nuke, myphpnuke, myphp-nuke, phpnuke, SE, geek, geeks, hacker, hackers, linux, software, download, downloads, free, community, mp3, forum, forums, bulletin, board, boards, bbs, php, survey, poll, polls, kernel, comment, comments, portal, odp, open, source, opensource, FreeSoftware, gnu, gpl, license, Unix, *nix, mysql, sql, database, databases, web site, weblog, guru, module, modules, theme, themes, cms, content management','_MD_AM_METAKEYDSC','textarea','text',32),(34,1,3,'footer','_MD_AM_FOOTER','Powered by XOOPS 2.2 &copy; 2001-2005 <a href=\"http://www.xoops.org/\" target=\"_blank\">The XOOPS Project</a>','_MD_AM_FOOTERDSC','textarea','text',33),(35,1,4,'censor_enable','_MD_AM_DOCENSOR','0','_MD_AM_DOCENSORDSC','yesno','int',34),(36,1,4,'censor_words','_MD_AM_CENSORWRD','a:2:{i:0;s:4:\"fuck\";i:1;s:4:\"shit\";}','_MD_AM_CENSORWRDDSC','textarea','array',35),(37,1,4,'censor_replace','_MD_AM_CENSORRPLC','#OOPS#','_MD_AM_CENSORRPLCDSC','textbox','text',36),(38,1,3,'meta_rating','_MD_AM_METARATING','general','_MD_AM_METARATINGDSC','select','text',37),(39,1,3,'meta_author','_MD_AM_METAAUTHOR','XOOPS','_MD_AM_METAAUTHORDSC','textbox','text',38),(40,1,3,'meta_copyright','_MD_AM_METACOPYR','Copyright &copy; 2001-2005','_MD_AM_METACOPYRDSC','textbox','text',39),(41,1,3,'meta_description','_MD_AM_METADESC','XOOPS is a dynamic Object Oriented based open source portal script written in PHP.','_MD_AM_METADESCDSC','textarea','text',40),(42,1,3,'meta_robots','_MD_AM_METAROBOTS','index,follow','_MD_AM_METAROBOTSDSC','select','text',41),(43,1,5,'enable_search','_MD_AM_DOSEARCH','1','_MD_AM_DOSEARCHDSC','yesno','int',42),(44,1,5,'keyword_min','_MD_AM_MINSEARCH','5','_MD_AM_MINSEARCHDSC','textbox','int',43),(45,1,6,'mailmethod','_MD_AM_MAILERMETHOD','mail','_MD_AM_MAILERMETHODDESC','select','text',44),(46,1,6,'sendmailpath','_MD_AM_SENDMAILPATH','/usr/sbin/sendmail','_MD_AM_SENDMAILPATHDESC','textbox','text',45),(47,1,6,'smtphost','_MD_AM_SMTPHOST','','_MD_AM_SMTPHOSTDESC','textarea','text',46),(48,1,6,'smtpuser','_MD_AM_SMTPUSER','','_MD_AM_SMTPUSERDESC','textbox','text',47),(49,1,6,'smtppass','_MD_AM_SMTPPASS','','_MD_AM_SMTPPASSDESC','password','text',48),(50,1,6,'from','_MD_AM_MAILFROM','','_MD_AM_MAILFROMDESC','textbox','text',49),(51,1,6,'fromname','_MD_AM_MAILFROMNAME','','_MD_AM_MAILFROMNAMEDESC','textbox','text',50),(52,1,6,'fromuid','_MD_AM_MAILFROMUID','1','_MD_AM_MAILFROMUIDDESC','user','int',51),(53,1,7,'auth_method','_MD_AM_AUTHMETHOD','xoops','_MD_AM_AUTHMETHODDESC','select','text',52),(54,1,7,'ldap_mail_attr','_MD_AM_LDAP_MAIL_ATTR','mail','_MD_AM_LDAP_MAIL_ATTR_DESC','textbox','text',53),(55,1,7,'ldap_name_attr','_MD_AM_LDAP_NAME_ATTR','cn','_MD_AM_LDAP_NAME_ATTR_DESC','textbox','text',54),(56,1,7,'ldap_surname_attr','_MD_AM_LDAP_SURNAME_ATTR','sn','_MD_AM_LDAP_SURNAME_ATTR_DESC','textbox','text',55),(57,1,7,'ldap_givenname_attr','_MD_AM_LDAP_GIVENNAME_ATTR','givenname','_MD_AM_LDAP_GIVENNAME_ATTR_DSC','textbox','text',56),(58,1,7,'ldap_port','_MD_AM_LDAP_PORT','389','_MD_AM_LDAP_PORT','textbox','int',57),(59,1,7,'ldap_server','_MD_AM_LDAP_SERVER','your directory server','_MD_AM_LDAP_SERVER_DESC','textbox','text',58),(60,1,7,'ldap_base_dn','_MD_AM_LDAP_BASE_DN','ou=Employees,o=Company','_MD_AM_LDAP_BASE_DN_DESC','textbox','text',59),(61,1,7,'ldap_uid_attr','_MD_AM_LDAP_UID_ATTR','uid','_MD_AM_LDAP_UID_ATTR_DESC','textbox','text',60),(62,1,7,'ldap_uid_asdn','_MD_AM_LDAP_UID_ASDN','uid_asdn','_MD_AM_LDAP_UID_ASDN_DESC','yesno','int',61),(63,1,7,'ldap_manager_dn','_MD_AM_LDAP_MANAGER_DN','manager_dn','_MD_AM_LDAP_MANAGER_DN_DESC','textbox','text',62),(64,1,7,'ldap_manager_pass','_MD_AM_LDAP_MANAGER_PASS','manager_pass','_MD_AM_LDAP_MANAGER_PASS_DESC','textbox','text',63),(65,1,7,'ldap_version','_MD_AM_LDAP_VERSION','3','_MD_AM_LDAP_VERSION_DESC','textbox','text',64),(66,2,0,'perpage','_PM_MI_PERPAGE','20','_PM_MI_PERPAGE_DESC','textbox','int',0),(67,2,0,'max_save','_PM_MI_MAXSAVE','10','_PM_MI_MAXSAVE_DESC','textbox','int',1),(68,2,0,'prunesubject','_PM_MI_PRUNESUBJECT','Messages deleted during cleanup','_PM_MI_PRUNESUBJECT_DESC','textbox','text',2),(69,2,0,'prunemessage','_PM_MI_PRUNEMESSAGE','During a cleanup of the Private Messaging, we have deleted {PM_COUNT} of the messages in your inbox to save space and resources','_PM_MI_PRUNEMESSAGE_DESC','textarea','text',3),(70,3,1,'profile_search','_PROFILE_MI_PROFILE_SEARCH','1','_PROFILE_MI_PROFILE_SEARCH_DSC','yesno','int',0),(71,3,2,'max_uname','_PROFILE_MI_MAX_UNAME','20','_PROFILE_MI_MAX_UNAME_DESC','textbox','int',1),(72,3,2,'min_uname','_PROFILE_MI_MIN_UNAME','3','_PROFILE_MI_MIN_UNAME_DESC','textbox','int',2),(73,3,1,'display_disclaimer','_PROFILE_MI_DISPLAY_DISCLAIMER','0','_PROFILE_MI_DISPLAY_DISCLAIMER_DESC','yesno','int',3),(74,3,1,'disclaimer','_PROFILE_MI_DISCLAIMER','','_PROFILE_MI_DISCLAIMER_DESC','textarea','text',4),(75,3,2,'bad_unames','_PROFILE_MI_BAD_UNAMES','a:3:{i:0;s:9:\"webmaster\";i:1;s:6:\"^xoops\";i:2;s:6:\"^admin\";}','_PROFILE_MI_BAD_UNAMES_DESC','textarea','array',5),(76,3,2,'bad_emails','_PROFILE_MI_BAD_EMAILS','a:1:{i:0;s:10:\"xoops.org$\";}','_PROFILE_MI_BAD_EMAILS_DESC','textarea','array',6),(77,3,2,'minpass','_PROFILE_MI_MINPASS','3','_PROFILE_MI_MINPASS_DESC','textbox','int',7),(78,3,1,'new_user_notify','_PROFILE_MI_NEWUNOTIFY','1','_PROFILE_MI_NEWUNOTIFY_DESC','yesno','int',8),(79,3,1,'new_user_notify_group','_PROFILE_MI_NOTIFYTO','1','_PROFILE_MI_NOTIFYTO_DESC','group','int',9),(80,3,1,'activation_type','_PROFILE_MI_ACTVTYPE','0','_PROFILE_MI_ACTVTYPE_DESC','select','int',10),(81,3,1,'activation_group','_PROFILE_MI_ACTVGROUP','1','_PROFILE_MI_ACTVGROUP_DESC','group','int',11),(82,3,2,'uname_test_level','_PROFILE_MI_UNAMELVL','0','_PROFILE_MI_UNAMELVL_DESC','select','int',12),(83,3,1,'allow_register','_PROFILE_MI_ALLOWREG','1','_PROFILE_MI_ALLOWREG_DESC','yesno','int',13),(84,3,2,'avatar_allow_upload','_PROFILE_MI_AVATARALLOW','0','_PROFILE_MI_AVATARALLOW_DESC','yesno','int',14),(85,3,2,'avatar_width','_PROFILE_MI_AVATARWIDTH','80','_PROFILE_MI_AVATARWIDTH_DESC','textbox','int',15),(86,3,2,'avatar_height','_PROFILE_MI_AVATARHEIGHT','80','_PROFILE_MI_AVATARHEIGHT_DESC','textbox','int',16),(87,3,2,'avatar_maxsize','_PROFILE_MI_AVATARMAX','35000','_PROFILE_MI_AVATARMAX_DESC','textbox','int',17),(88,3,1,'self_delete','_PROFILE_MI_SELFDELETE','0','_PROFILE_MI_SELFDELETE_DESC','yesno','int',18),(89,3,2,'avatar_minposts','_PROFILE_MI_AVATARMINPOSTS','0','_PROFILE_MI_AVATARMINPOSTS_DESC','textbox','int',19),(90,3,1,'allow_chgmail','_PROFILE_MI_ALLOWCHGMAIL','0','_PROFILE_MI_ALLOWCHGMAIL_DESC','yesno','int',20),(91,3,1,'allowed_groups','_PROFILE_MI_ALLOWVIEWACC','a:2:{i:0;s:1:\"1\";i:1;s:1:\"2\";}','_PROFILE_MI_ALLOWVIEWACC_DESC','group_multi','array',21);
CREATE TABLE `@@DB_MAIN_PREFIX@@_configcategory` (
  `confcat_id` smallint(5) unsigned NOT NULL default '0',
  `confcat_modid` smallint(5) unsigned NOT NULL default '0',
  `confcat_name` varchar(25) NOT NULL default '',
  `confcat_order` smallint(5) unsigned NOT NULL default '0',
  `confcat_nameid` varchar(255) NOT NULL default '',
  `confcat_description` text NOT NULL,
  PRIMARY KEY  (`confcat_id`,`confcat_modid`),
  KEY `module` (`confcat_modid`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@_configcategory` VALUES (1,1,'_MD_AM_GENERAL',1,'general',''),(3,1,'_MD_AM_METAFOOTER',3,'meta',''),(4,1,'_MD_AM_CENSOR',4,'censor',''),(5,1,'_MD_AM_SEARCH',5,'search',''),(6,1,'_MD_AM_MAILER',6,'mail',''),(7,1,'_MD_AM_AUTHENTICATION',7,'auth',''),(0,2,'_MD_AM_MODULEPREF',0,'xoops_default',''),(1,3,'_PROFILE_MI_CAT_SETTINGS',1,'settings','_PROFILE_MI_CAT_SETTINGS_DSC'),(2,3,'_PROFILE_MI_CAT_USER',2,'user','_PROFILE_MI_CAT_USER_DSC');
CREATE TABLE `@@DB_MAIN_PREFIX@@_configoption` (
  `confop_id` mediumint(8) unsigned NOT NULL auto_increment,
  `confop_name` varchar(255) NOT NULL default '',
  `confop_value` varchar(255) NOT NULL default '',
  `conf_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`confop_id`),
  KEY `conf_id` (`conf_id`)
) TYPE=MyISAM AUTO_INCREMENT=31;
INSERT INTO `@@DB_MAIN_PREFIX@@_configoption` VALUES (1,'_MD_AM_DEBUGMODE0','0',19),(2,'_MD_AM_DEBUGMODE1','1',19),(3,'_MD_AM_DEBUGMODE2','2',19),(4,'_MD_AM_DEBUGMODE3','3',19),(5,'_NESTED','nest',28),(6,'_FLAT','flat',28),(7,'_THREADED','thread',28),(8,'_OLDESTFIRST','0',29),(9,'_NEWESTFIRST','1',29),(10,'_MD_AM_METAOGEN','general',38),(11,'_MD_AM_METAO14YRS','14 years',38),(12,'_MD_AM_METAOREST','restricted',38),(13,'0','_MD_AM_METAOMAT',38),(14,'1','mature',38),(15,'_MD_AM_INDEXFOLLOW','index,follow',42),(16,'_MD_AM_NOINDEXFOLLOW','noindex,follow',42),(17,'_MD_AM_INDEXNOFOLLOW','index,nofollow',42),(18,'_MD_AM_NOINDEXNOFOLLOW','noindex,nofollow',42),(19,'PHP mail()','mail',45),(20,'sendmail','sendmail',45),(21,'SMTP','smtp',45),(22,'SMTPAuth','smtpauth',45),(23,'XOOPS','xoops',53),(24,'LDAP','ldap',53),(25,'_PROFILE_MI_USERACTV','0',80),(26,'_PROFILE_MI_AUTOACTV','1',80),(27,'_PROFILE_MI_ADMINACTV','2',80),(28,'_PROFILE_MI_STRICT','0',82),(29,'_PROFILE_MI_MEDIUM','1',82),(30,'_PROFILE_MI_LIGHT','2',82);
CREATE TABLE `@@DB_MAIN_PREFIX@@_group_permission` (
  `gperm_id` int(10) unsigned NOT NULL auto_increment,
  `gperm_groupid` smallint(5) unsigned NOT NULL default '0',
  `gperm_itemid` mediumint(8) unsigned NOT NULL default '0',
  `gperm_modid` mediumint(5) unsigned NOT NULL default '0',
  `gperm_name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`gperm_id`),
  KEY `groupid` (`gperm_groupid`),
  KEY `itemid` (`gperm_itemid`),
  KEY `gperm_modid` (`gperm_modid`,`gperm_name`(10))
) TYPE=MyISAM AUTO_INCREMENT=62;
INSERT INTO `@@DB_MAIN_PREFIX@@_group_permission` VALUES (1,1,1,1,'module_admin'),(2,1,1,1,'module_read'),(3,2,1,1,'module_read'),(4,3,1,1,'module_read'),(5,1,1,1,'system_admin'),(6,1,2,1,'system_admin'),(7,1,3,1,'system_admin'),(8,1,4,1,'system_admin'),(9,1,5,1,'system_admin'),(10,1,6,1,'system_admin'),(11,1,7,1,'system_admin'),(12,1,8,1,'system_admin'),(13,1,9,1,'system_admin'),(14,1,10,1,'system_admin'),(15,1,11,1,'system_admin'),(16,1,12,1,'system_admin'),(17,1,13,1,'system_admin'),(18,1,14,1,'system_admin'),(19,1,15,1,'system_admin'),(20,1,1,1,'module_admin'),(21,1,1,1,'module_read'),(22,2,1,1,'module_read'),(23,3,1,1,'module_read'),(24,1,1,1,'block_read'),(25,2,1,1,'block_read'),(26,3,1,1,'block_read'),(27,1,2,1,'block_read'),(28,2,2,1,'block_read'),(29,3,2,1,'block_read'),(30,1,3,1,'block_read'),(31,2,3,1,'block_read'),(32,3,3,1,'block_read'),(33,1,2,1,'module_admin'),(34,1,2,1,'module_read'),(35,2,2,1,'module_read'),(36,3,2,1,'module_read'),(37,2,14,3,'profile_show'),(38,2,14,3,'profile_edit'),(39,2,15,3,'profile_show'),(40,2,15,3,'profile_edit'),(41,2,16,3,'profile_show'),(42,2,16,3,'profile_edit'),(43,2,17,3,'profile_show'),(44,2,17,3,'profile_edit'),(45,2,18,3,'profile_edit'),(46,2,19,3,'profile_show'),(47,2,19,3,'profile_edit'),(48,2,20,3,'profile_show'),(49,2,20,3,'profile_edit'),(50,2,21,3,'profile_show'),(51,2,21,3,'profile_edit'),(52,2,22,3,'profile_show'),(53,2,22,3,'profile_edit'),(54,2,23,3,'profile_show'),(55,2,23,3,'profile_edit'),(56,2,24,3,'profile_show'),(57,2,24,3,'profile_edit'),(58,1,3,1,'module_admin'),(59,1,3,1,'module_read'),(60,2,3,1,'module_read'),(61,3,3,1,'module_read');
CREATE TABLE `@@DB_MAIN_PREFIX@@_groups` (
  `groupid` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `description` text NOT NULL,
  `group_type` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`groupid`),
  KEY `group_type` (`group_type`)
) TYPE=MyISAM AUTO_INCREMENT=4;
INSERT INTO `@@DB_MAIN_PREFIX@@_groups` VALUES (1,'Webmasters','Webmasters of this site','Admin'),(2,'Registered Users','Registered Users Group','User'),(3,'Anonymous Users','Anonymous Users Group','Anonymous');
CREATE TABLE `@@DB_MAIN_PREFIX@@_groups_users_link` (
  `linkid` mediumint(8) unsigned NOT NULL auto_increment,
  `groupid` smallint(5) unsigned NOT NULL default '0',
  `uid` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`linkid`),
  KEY `groupid_uid` (`groupid`,`uid`)
) TYPE=MyISAM AUTO_INCREMENT=3;
INSERT INTO `@@DB_MAIN_PREFIX@@_groups_users_link` VALUES (1,1,1),(2,2,1);
CREATE TABLE `@@DB_MAIN_PREFIX@@_image` (
  `image_id` mediumint(8) unsigned NOT NULL auto_increment,
  `image_name` varchar(30) NOT NULL default '',
  `image_nicename` varchar(255) NOT NULL default '',
  `image_mimetype` varchar(30) NOT NULL default '',
  `image_created` int(10) unsigned NOT NULL default '0',
  `image_display` tinyint(1) unsigned NOT NULL default '0',
  `image_weight` smallint(5) unsigned NOT NULL default '0',
  `imgcat_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`image_id`),
  KEY `imgcat_id` (`imgcat_id`),
  KEY `image_display` (`image_display`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_imagebody` (
  `image_id` mediumint(8) unsigned NOT NULL default '0',
  `image_body` mediumblob,
  KEY `image_id` (`image_id`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_imagecategory` (
  `imgcat_id` smallint(5) unsigned NOT NULL auto_increment,
  `imgcat_name` varchar(100) NOT NULL default '',
  `imgcat_maxsize` int(8) unsigned NOT NULL default '0',
  `imgcat_maxwidth` smallint(3) unsigned NOT NULL default '0',
  `imgcat_maxheight` smallint(3) unsigned NOT NULL default '0',
  `imgcat_display` tinyint(1) unsigned NOT NULL default '0',
  `imgcat_weight` smallint(3) unsigned NOT NULL default '0',
  `imgcat_type` char(1) NOT NULL default '',
  `imgcat_storetype` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`imgcat_id`),
  KEY `imgcat_display` (`imgcat_display`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_imgset` (
  `imgset_id` smallint(5) unsigned NOT NULL auto_increment,
  `imgset_name` varchar(50) NOT NULL default '',
  `imgset_refid` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`imgset_id`),
  KEY `imgset_refid` (`imgset_refid`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `@@DB_MAIN_PREFIX@@_imgset` VALUES (1,'default',0);
CREATE TABLE `@@DB_MAIN_PREFIX@@_imgset_tplset_link` (
  `imgset_id` smallint(5) unsigned NOT NULL default '0',
  `tplset_name` varchar(50) NOT NULL default '',
  KEY `tplset_name` (`tplset_name`(10))
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@_imgset_tplset_link` VALUES (1,'default');
CREATE TABLE `@@DB_MAIN_PREFIX@@_imgsetimg` (
  `imgsetimg_id` mediumint(8) unsigned NOT NULL auto_increment,
  `imgsetimg_file` varchar(50) NOT NULL default '',
  `imgsetimg_body` blob NOT NULL,
  `imgsetimg_imgset` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`imgsetimg_id`),
  KEY `imgsetimg_imgset` (`imgsetimg_imgset`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_modules` (
  `mid` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(150) NOT NULL default '',
  `version` smallint(5) unsigned NOT NULL default '100',
  `last_update` int(10) unsigned NOT NULL default '0',
  `weight` smallint(3) unsigned NOT NULL default '0',
  `isactive` tinyint(1) unsigned NOT NULL default '0',
  `dirname` varchar(25) NOT NULL default '',
  `hasmain` tinyint(1) unsigned NOT NULL default '0',
  `hasadmin` tinyint(1) unsigned NOT NULL default '0',
  `hassearch` tinyint(1) unsigned NOT NULL default '0',
  `hasconfig` tinyint(1) unsigned NOT NULL default '0',
  `hascomments` tinyint(1) unsigned NOT NULL default '0',
  `hasnotification` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`mid`),
  KEY `hasmain` (`hasmain`),
  KEY `hasadmin` (`hasadmin`),
  KEY `hassearch` (`hassearch`),
  KEY `hasnotification` (`hasnotification`),
  KEY `dirname` (`dirname`),
  KEY `name` (`name`(15))
) TYPE=MyISAM AUTO_INCREMENT=4;
INSERT INTO `@@DB_MAIN_PREFIX@@_modules` VALUES (1,'System',211,1122626303,1,1,'system',0,1,0,1,0,0),(2,'Private Messaging',10,1122626335,1,1,'pm',1,1,0,1,0,0),(3,'Extended Profiles',10,1122626335,1,1,'profile',1,1,0,1,0,0);
CREATE TABLE `@@DB_MAIN_PREFIX@@_newblocks` (
  `bid` mediumint(8) unsigned NOT NULL auto_increment,
  `mid` smallint(5) unsigned NOT NULL default '0',
  `options` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `c_type` char(1) NOT NULL default '',
  `isactive` tinyint(1) unsigned NOT NULL default '0',
  `dirname` varchar(50) NOT NULL default '',
  `func_file` varchar(50) NOT NULL default '',
  `show_func` varchar(50) NOT NULL default '',
  `edit_func` varchar(50) NOT NULL default '',
  `template` varchar(50) NOT NULL default '',
  `last_modified` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`bid`),
  KEY `mid` (`mid`),
  KEY `active` (`bid`,`isactive`)
) TYPE=MyISAM AUTO_INCREMENT=13;
INSERT INTO `@@DB_MAIN_PREFIX@@_newblocks` VALUES (1,1,'a:1:{i:0;s:0:\"\";}','User Menu','',1,'system','system_blocks.php','b_system_user_show','','system_block_user.html',1122626303),(2,1,'a:1:{i:0;s:0:\"\";}','Login','',1,'system','system_blocks.php','b_system_login_show','','system_block_login.html',1122626303),(3,1,'a:1:{i:0;s:0:\"\";}','Search','',1,'system','system_blocks.php','b_system_search_show','','system_block_search.html',1122626303),(4,1,'a:1:{i:0;s:0:\"\";}','Waiting Contents','',1,'system','system_blocks.php','b_system_waiting_show','','system_block_waiting.html',1122626303),(5,1,'a:1:{i:0;s:0:\"\";}','Main Menu','',1,'system','system_blocks.php','b_system_main_show','','system_block_mainmenu.html',1122626303),(6,1,'a:1:{i:0;s:0:\"\";}','Who\'s Online','',1,'system','system_blocks.php','b_system_online_show','','system_block_online.html',1122626303),(7,1,'a:2:{i:0;s:2:\"10\";i:1;s:1:\"1\";}','Top Posters','',1,'system','system_blocks.php','b_system_topposters_show','b_system_topposters_edit','system_block_topusers.html',1122626303),(8,1,'a:2:{i:0;s:2:\"10\";i:1;s:1:\"1\";}','New Members','',1,'system','system_blocks.php','b_system_newmembers_show','b_system_newmembers_edit','system_block_newusers.html',1122626303),(9,1,'a:1:{i:0;s:2:\"10\";}','Recent Comments','',1,'system','system_blocks.php','b_system_comments_show','b_system_comments_edit','system_block_comments.html',1122626303),(10,1,'a:1:{i:0;s:0:\"\";}','Notification Options','',1,'system','system_blocks.php','b_system_notification_show','','system_block_notification.html',1122626303),(11,1,'a:2:{i:0;s:1:\"0\";i:1;s:2:\"80\";}','Themes','',1,'system','system_blocks.php','b_system_themes_show','b_system_themes_edit','system_block_themes.html',1122626303),(12,1,'a:2:{i:0;s:0:\"\";i:1;s:1:\"1\";}','Custom Block','',1,'system','system_blocks.php','b_system_custom_show','b_system_custom_edit','system_block_dummy.html',1122626303);
CREATE TABLE `@@DB_MAIN_PREFIX@@_online` (
  `online_uid` mediumint(8) unsigned NOT NULL default '0',
  `online_uname` varchar(25) NOT NULL default '',
  `online_updated` int(10) unsigned NOT NULL default '0',
  `online_module` smallint(5) unsigned NOT NULL default '0',
  `online_ip` varchar(15) NOT NULL default '',
  KEY `online_module` (`online_module`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_priv_msgs` (
  `msg_id` mediumint(8) unsigned NOT NULL auto_increment,
  `msg_image` varchar(100) default NULL,
  `subject` varchar(255) NOT NULL default '',
  `from_userid` mediumint(8) unsigned NOT NULL default '0',
  `to_userid` mediumint(8) unsigned NOT NULL default '0',
  `msg_time` int(10) unsigned NOT NULL default '0',
  `msg_text` text NOT NULL,
  `read_msg` tinyint(1) unsigned NOT NULL default '0',
  `from_delete` tinyint(1) unsigned NOT NULL default '0',
  `from_save` tinyint(1) unsigned NOT NULL default '0',
  `to_delete` tinyint(1) unsigned NOT NULL default '0',
  `to_save` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`msg_id`),
  KEY `to_userid` (`to_userid`),
  KEY `inbox` (`to_userid`,`read_msg`),
  KEY `outbox` (`from_userid`,`read_msg`),
  KEY `prune` (`msg_time`,`read_msg`,`from_save`,`to_delete`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_profile_category` (
  `catid` int(12) unsigned NOT NULL auto_increment,
  `cat_title` varchar(255) NOT NULL default '',
  `cat_description` text NOT NULL,
  `cat_weight` tinyint(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`catid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_profile_fieldcategory` (
  `fieldid` int(12) unsigned NOT NULL default '0',
  `catid` int(12) unsigned NOT NULL default '0',
  `field_weight` tinyint(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`fieldid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_ranks` (
  `rank_id` smallint(5) unsigned NOT NULL auto_increment,
  `rank_title` varchar(50) NOT NULL default '',
  `rank_min` mediumint(8) unsigned NOT NULL default '0',
  `rank_max` mediumint(8) unsigned NOT NULL default '0',
  `rank_special` tinyint(1) unsigned NOT NULL default '0',
  `rank_image` varchar(255) default NULL,
  PRIMARY KEY  (`rank_id`),
  KEY `rank_min` (`rank_min`),
  KEY `rank_max` (`rank_max`),
  KEY `rankminrankmaxranspecial` (`rank_min`,`rank_max`,`rank_special`),
  KEY `rankspecial` (`rank_special`)
) TYPE=MyISAM AUTO_INCREMENT=8;
INSERT INTO `@@DB_MAIN_PREFIX@@_ranks` VALUES (1,'Just popping in',0,20,0,'rank3e632f95e81ca.gif'),(2,'Not too shy to talk',21,40,0,'rank3dbf8e94a6f72.gif'),(3,'Quite a regular',41,70,0,'rank3dbf8e9e7d88d.gif'),(4,'Just can\'t stay away',71,150,0,'rank3dbf8ea81e642.gif'),(5,'Home away from home',151,10000,0,'rank3dbf8eb1a72e7.gif'),(6,'Moderator',0,0,1,'rank3dbf8edf15093.gif'),(7,'Webmaster',0,0,1,'rank3dbf8ee8681cd.gif');
CREATE TABLE `@@DB_MAIN_PREFIX@@_session` (
  `sess_id` varchar(32) NOT NULL default '',
  `sess_updated` int(10) unsigned NOT NULL default '0',
  `sess_ip` varchar(15) NOT NULL default '',
  `sess_data` mediumblob NOT NULL,
  PRIMARY KEY  (`sess_id`),
  KEY `updated` (`sess_updated`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@_session` VALUES ('1bf69af3559a66858cceaf38d2665636',1122626385,'192.168.62.207','xoopsUserId|s:1:\"1\";xoopsUserGroups|a:2:{i:0;s:1:\"1\";i:1;s:1:\"2\";}xoopsUserLastLogin|s:1:\"0\";');
CREATE TABLE `@@DB_MAIN_PREFIX@@_smiles` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `code` varchar(50) NOT NULL default '',
  `smile_url` varchar(100) NOT NULL default '',
  `emotion` varchar(75) NOT NULL default '',
  `display` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=18;
INSERT INTO `@@DB_MAIN_PREFIX@@_smiles` VALUES (1,':-D','smil3dbd4d4e4c4f2.gif','Very Happy',1),(2,':-)','smil3dbd4d6422f04.gif','Smile',1),(3,':-(','smil3dbd4d75edb5e.gif','Sad',1),(4,':-o','smil3dbd4d8676346.gif','Surprised',1),(5,':-?','smil3dbd4d99c6eaa.gif','Confused',1),(6,'8-)','smil3dbd4daabd491.gif','Cool',1),(7,':lol:','smil3dbd4dbc14f3f.gif','Laughing',1),(8,':-x','smil3dbd4dcd7b9f4.gif','Mad',1),(9,':-P','smil3dbd4ddd6835f.gif','Razz',1),(10,':oops:','smil3dbd4df1944ee.gif','Embaressed',0),(11,':cry:','smil3dbd4e02c5440.gif','Crying (very sad)',0),(12,':evil:','smil3dbd4e1748cc9.gif','Evil or Very Mad',0),(13,':roll:','smil3dbd4e29bbcc7.gif','Rolling Eyes',0),(14,';-)','smil3dbd4e398ff7b.gif','Wink',0),(15,':pint:','smil3dbd4e4c2e742.gif','Another pint of beer',0),(16,':hammer:','smil3dbd4e5e7563a.gif','ToolTimes at work',0),(17,':idea:','smil3dbd4e7853679.gif','I have an idea',0);
CREATE TABLE `@@DB_MAIN_PREFIX@@_tplfile` (
  `tpl_id` mediumint(7) unsigned NOT NULL auto_increment,
  `tpl_refid` smallint(5) unsigned NOT NULL default '0',
  `tpl_module` varchar(25) NOT NULL default '',
  `tpl_tplset` varchar(50) NOT NULL default '',
  `tpl_file` varchar(50) NOT NULL default '',
  `tpl_desc` varchar(255) NOT NULL default '',
  `tpl_lastmodified` int(10) unsigned NOT NULL default '0',
  `tpl_lastimported` int(10) unsigned NOT NULL default '0',
  `tpl_type` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`tpl_id`),
  KEY `tpl_refid` (`tpl_refid`,`tpl_type`),
  KEY `tpl_tplset` (`tpl_tplset`,`tpl_file`(10))
) TYPE=MyISAM AUTO_INCREMENT=39;
INSERT INTO `@@DB_MAIN_PREFIX@@_tplfile` VALUES (1,1,'system','default','system_imagemanager.html','',1122626303,0,'module'),(2,1,'system','default','system_imagemanager2.html','',1122626303,0,'module'),(3,1,'system','default','system_userinfo.html','',1122626303,0,'module'),(4,1,'system','default','system_userform.html','',1122626303,0,'module'),(5,1,'system','default','system_rss.html','',1122626303,0,'module'),(6,1,'system','default','system_redirect.html','',1122626303,0,'module'),(7,1,'system','default','system_comment.html','',1122626303,0,'module'),(8,1,'system','default','system_comments_flat.html','',1122626303,0,'module'),(9,1,'system','default','system_comments_thread.html','',1122626303,0,'module'),(10,1,'system','default','system_comments_nest.html','',1122626303,0,'module'),(11,1,'system','default','system_siteclosed.html','',1122626303,0,'module'),(12,1,'system','default','system_dummy.html','Dummy template file for holding non-template contents. This should not be edited.',1122626303,0,'module'),(13,1,'system','default','system_notification_list.html','',1122626303,0,'module'),(14,1,'system','default','system_notification_select.html','',1122626303,0,'module'),(15,1,'system','default','system_error.html','Template for error pages',1122626303,0,'module'),(16,1,'system','default','system_plain.html','Plain template for displaying only page content (no logo, no banner, no blocks)',1122626303,0,'module'),(17,1,'system','default','system_admin_block.html','Blocks Administration Template',1122626303,0,'module'),(18,1,'system','default','system_block_user.html','Shows user block',1122626303,0,'block'),(19,2,'system','default','system_block_login.html','Shows login form',1122626303,0,'block'),(20,3,'system','default','system_block_search.html','Shows search form block',1122626303,0,'block'),(21,4,'system','default','system_block_waiting.html','Shows contents waiting for approval',1122626303,0,'block'),(22,5,'system','default','system_block_mainmenu.html','Shows the main navigation menu of the site',1122626303,0,'block'),(23,6,'system','default','system_block_online.html','Displays users/guests currently online',1122626303,0,'block'),(24,7,'system','default','system_block_topusers.html','Top posters',1122626303,0,'block'),(25,8,'system','default','system_block_newusers.html','Shows most recent users',1122626303,0,'block'),(26,9,'system','default','system_block_comments.html','Shows most recent comments',1122626303,0,'block'),(27,10,'system','default','system_block_notification.html','Shows notification options',1122626303,0,'block'),(28,11,'system','default','system_block_themes.html','Shows theme selection box',1122626303,0,'block'),(29,12,'system','default','system_block_dummy.html','Custom block for manual content input',1122626303,0,'block'),(30,2,'pm','default','pm_pmlite.html','',1122626335,0,'module'),(31,2,'pm','default','pm_readpmsg.html','',1122626335,0,'module'),(32,2,'pm','default','pm_lookup.html','',1122626335,0,'module'),(33,2,'pm','default','pm_viewpmsg.html','',1122626335,0,'module'),(34,3,'profile','default','profile_admin_fieldlist.html','',1122626335,0,'module'),(35,3,'profile','default','profile_userinfo.html','',1122626335,0,'module'),(36,3,'profile','default','profile_admin_categorylist.html','',1122626335,0,'module'),(37,3,'profile','default','profile_search.html','',1122626335,0,'module'),(38,3,'profile','default','profile_results.html','',1122626335,0,'module');
CREATE TABLE `@@DB_MAIN_PREFIX@@_tplset` (
  `tplset_id` int(7) unsigned NOT NULL auto_increment,
  `tplset_name` varchar(50) NOT NULL default '',
  `tplset_desc` varchar(255) NOT NULL default '',
  `tplset_credits` text NOT NULL,
  `tplset_created` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`tplset_id`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `@@DB_MAIN_PREFIX@@_tplset` VALUES (1,'default','XOOPS Default Template Set','',1122626303);
CREATE TABLE `@@DB_MAIN_PREFIX@@_tplsource` (
  `tpl_id` mediumint(7) unsigned NOT NULL default '0',
  `tpl_source` mediumtext NOT NULL,
  KEY `tpl_id` (`tpl_id`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@_tplsource` VALUES (1,'<!DOCTYPE html PUBLIC \'-//W3C//DTD XHTML 1.0 Transitional//EN\' \'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\'>\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"<{$xoops_langcode}>\" lang=\"<{$xoops_langcode}>\">\r\n<head>\r\n<meta http-equiv=\"content-type\" content=\"text/html; charset=<{$xoops_charset}>\" />\r\n<meta http-equiv=\"content-language\" content=\"<{$xoops_langcode}>\" />\r\n<title><{$sitename}> <{$lang_imgmanager}></title>\r\n<!--\r\ndefine the function in each wysiwyg editor\r\nfunction XoopsEditor_InsertImage(id,src,alt,align)\r\n{\r\n	return editor_InsertImage(id,src,alt,align);\r\n}\r\n-->\r\n<script type=\"text/javascript\">\r\n<!--//\r\nvar wysiwyg=<{$wysiwyg}>;\r\nfunction appendCode(addCode) {\r\n	if(wysiwyg==1){\r\n		var cmd = \"window.opener.XoopsEditor_InsertImage(\'<{$target}>\',\"+addCode+\")\";\r\n		eval(cmd);\r\n	}else{\r\n		var targetDom = window.opener.xoopsGetElementById(\'<{$target}>\');\r\n		if (targetDom.createTextRange && targetDom.caretPos){\r\n	  		var caretPos = targetDom.caretPos;\r\n			caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) \r\n	== \' \' ? addCode + \' \' : addCode;  \r\n		} else if (targetDom.getSelection && targetDom.caretPos){\r\n			var caretPos = targetDom.caretPos;\r\n			caretPos.text = caretPos.text.charat(caretPos.text.length - 1)  \r\n	== \' \' ? addCode + \' \' : addCode;\r\n		} else {\r\n			targetDom.value = targetDom.value + addCode;\r\n	  	}\r\n  	}\r\n	window.close();\r\n	return;\r\n}\r\n//-->\r\n</script>\r\n<style type=\"text/css\" media=\"all\">\r\nbody {margin: 0;}\r\nimg {border: 0;}\r\ntable {width: 100%; margin: 0;}\r\na:link {color: #3a76d6; font-weight: bold; background-color: transparent;}\r\na:visited {color: #9eb2d6; font-weight: bold; background-color: transparent;}\r\na:hover {color: #e18a00; background-color: transparent;}\r\ntable td {background-color: white; font-size: 12px; padding: 0; border-width: 0; vertical-align: top; font-family: Verdana, Arial, Helvetica, sans-serif;}\r\ntable#imagenav td {vertical-align: bottom; padding: 5px;}\r\ntable#imagemain td {border-right: 1px solid silver; border-bottom: 1px solid silver; padding: 5px; vertical-align: middle;}\r\ntable#imagemain th {border: 0; background-color: #2F5376; color:white; font-size: 12px; padding: 5px; vertical-align: top; text-align:center; font-family: Verdana, Arial, Helvetica, sans-serif;}\r\ntable#header td {width: 100%; background-color: #2F5376; vertical-align: middle;}\r\ntable#header td#headerbar {border-bottom: 1px solid silver; background-color: #dddddd;}\r\ndiv#pagenav {text-align:center;}\r\ndiv#footer {text-align:right; padding: 5px;}\r\n</style>\r\n</head>\r\n\r\n<body onload=\"window.resizeTo(<{$xsize}>, <{$ysize}>);\">\r\n  <table id=\"header\" cellspacing=\"0\">\r\n    <tr>\r\n      <td><a href=\"<{$xoops_url}>/\"><img src=\"<{$xoops_url}>/images/logo.gif\" width=\"150\" height=\"80\" alt=\"\" /></a></td><td> </td>\r\n    </tr>\r\n    <tr>\r\n      <td id=\"headerbar\" colspan=\"2\"> </td>\r\n    </tr>\r\n  </table>\r\n\r\n  <form action=\"imagemanager.php\" method=\"get\">\r\n    <table cellspacing=\"0\" id=\"imagenav\">\r\n      <tr>\r\n        <td>\r\n          <select name=\"cat_id\" onchange=\"location=\'<{$xoops_url}>/imagemanager.php?target=<{$target}>&cat_id=\'+this.options[this.selectedIndex].value+\'&wysiwyg=<{$wysiwyg}>\'\"><{$cat_options}></select> <input type=\"hidden\" name=\"target\" value=\"<{$target}>\" /><input type=\"submit\" value=\"<{$lang_go}>\" />\r\n        </td>\r\n\r\n        <{if $show_cat > 0}>\r\n        <td align=\"right\"><a href=\"<{$xoops_url}>/imagemanager.php?target=<{$target}>&op=upload&imgcat_id=<{$show_cat}>&wysiwyg=<{$wysiwyg}>\"><{$lang_addimage}></a></td>\r\n        <{/if}>\r\n\r\n      </tr>\r\n    </table>\r\n  </form>\r\n\r\n  <{if $image_total > 0}>\r\n\r\n  <table cellspacing=\"0\" id=\"imagemain\">\r\n    <tr>\r\n      <th><{$lang_imagename}></th>\r\n      <th><{$lang_image}></th>\r\n      <th><{$lang_imagemime}></th>\r\n      <th><{$lang_align}></th>\r\n    </tr>\r\n\r\n    <{section name=i loop=$images}>\r\n    <tr align=\"center\">\r\n      <td><input type=\"hidden\" name=\"image_id[]\" value=\"<{$images[i].id}>\" /><{$images[i].nicename}></td>\r\n      <td><img src=\"<{$images[i].src}>\" alt=\"\" /></td>\r\n      <td><{$images[i].mimetype}></td>\r\n      <td><a href=\"#\" onclick=\'javascript:appendCode(\"<{$images[i].lxcode}>\");\'><img src=\"<{$xoops_url}>/images/alignleft.gif\" alt=\"Left\" /></a> <a href=\"#\" onclick=\'javascript:appendCode(\"<{$images[i].xcode}>\");\'><img src=\"<{$xoops_url}>/images/aligncenter.gif\" alt=\"Center\" /></a> <a href=\"#\" onclick=\'javascript:appendCode(\"<{$images[i].rxcode}>\");\'><img src=\"<{$xoops_url}>/images/alignright.gif\" alt=\"Right\" /></a></td>\r\n    </tr>\r\n    <{/section}>\r\n  </table>\r\n\r\n  <{/if}>\r\n\r\n  <div id=\"pagenav\"><{$pagenav}></div>\r\n\r\n  <div id=\"footer\">\r\n    <input value=\"<{$lang_close}>\" type=\"button\" onclick=\"javascript:window.close();\" />\r\n  </div>\r\n\r\n  </body>\r\n</html>'),(2,'<!DOCTYPE html PUBLIC \'-//W3C//DTD XHTML 1.0 Transitional//EN\' \'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\'>\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"<{$xoops_langcode}>\" lang=\"<{$xoops_langcode}>\">\r\n<head>\r\n<meta http-equiv=\"content-type\" content=\"text/html; charset=<{$xoops_charset}>\" />\r\n<meta http-equiv=\"content-language\" content=\"<{$xoops_langcode}>\" />\r\n<title><{$xoops_sitename}> <{$lang_imgmanager}></title>\r\n<{$image_form.javascript}>\r\n<style type=\"text/css\" media=\"all\">\r\nbody {margin: 0;}\r\nimg {border: 0;}\r\ntable {width: 100%; margin: 0;}\r\na:link {color: #3a76d6; font-weight: bold; background-color: transparent;}\r\na:visited {color: #9eb2d6; font-weight: bold; background-color: transparent;}\r\na:hover {color: #e18a00; background-color: transparent;}\r\ntable td {background-color: white; font-size: 12px; padding: 0; border-width: 0; vertical-align: top; font-family: Verdana, Arial, Helvetica, sans-serif;}\r\ntable#imagenav td {vertical-align: bottom; padding: 5px;}\r\ntd.body {padding: 5px; vertical-align: middle;}\r\ntd.caption {border: 0; background-color: #2F5376; color:white; font-size: 12px; padding: 5px; vertical-align: top; text-align:left; font-family: Verdana, Arial, Helvetica, sans-serif;}\r\ntable#imageform {border: 1px solid silver;}\r\ntable#header td {width: 100%; background-color: #2F5376; vertical-align: middle;}\r\ntable#header td#headerbar {border-bottom: 1px solid silver; background-color: #dddddd;}\r\ndiv#footer {text-align:right; padding: 5px;}\r\n</style>\r\n</head>\r\n\r\n<body onload=\"window.resizeTo(<{$xsize}>, <{$ysize}>);\">\r\n  <table id=\"header\" cellspacing=\"0\">\r\n    <tr>\r\n      <td><a href=\"<{$xoops_url}>/\"><img src=\"<{$xoops_url}>/images/logo.gif\" width=\"150\" height=\"80\" alt=\"\" /></a></td><td> </td>\r\n    </tr>\r\n    <tr>\r\n      <td id=\"headerbar\" colspan=\"2\"> </td>\r\n    </tr>\r\n  </table>\r\n\r\n  <table cellspacing=\"0\" id=\"imagenav\">\r\n    <tr>\r\n      <td align=\"left\"><a href=\"<{$xoops_url}>/imagemanager.php?target=<{$target}>&cat_id=<{$show_cat}>\"><{$lang_imgmanager}></a></td>\r\n    </tr>\r\n  </table>\r\n\r\n  <form name=\"<{$image_form.name}>\" id=\"<{$image_form.name}>\" action=\"<{$image_form.action}>\" method=\"<{$image_form.method}>\" <{$image_form.extra}>>\r\n    <table id=\"imageform\" cellspacing=\"0\">\r\n    <!-- start of form elements loop -->\r\n    <{foreach item=element from=$image_form.elements}>\r\n      <{if $element.hidden != true}>\r\n      <tr valign=\"top\">\r\n        <td class=\"caption\"><{$element.caption}></td>\r\n        <td class=\"body\"><{$element.body}></td>\r\n      </tr>\r\n      <{else}>\r\n      <{$element.body}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n    <!-- end of form elements loop -->\r\n    </table>\r\n  </form>\r\n\r\n\r\n  <div id=\"footer\">\r\n    <input value=\"<{$lang_close}>\" type=\"button\" onclick=\"javascript:window.close();\" />\r\n  </div>\r\n\r\n  </body>\r\n</html>'),(3,'<{if $user_ownpage == true}>\r\n\r\n<form name=\"usernav\" action=\"user.php\" method=\"post\">\r\n\r\n<br /><br />\r\n\r\n<table width=\"70%\" align=\"center\" border=\"0\">\r\n  <tr align=\"center\">\r\n    <td><input type=\"button\" value=\"<{$lang_editprofile}>\" onclick=\"location=\'edituser.php\'\" />\r\n    <input type=\"button\" value=\"<{$lang_avatar}>\" onclick=\"location=\'edituser.php?op=avatarform\'\" />\r\n    <input type=\"button\" value=\"<{$lang_inbox}>\" onclick=\"location=\'viewpmsg.php\'\" />\r\n\r\n    <{if $user_candelete == true}>\r\n    <input type=\"button\" value=\"<{$lang_deleteaccount}>\" onclick=\"location=\'user.php?op=delete\'\" />\r\n    <{/if}>\r\n\r\n    <input type=\"button\" value=\"<{$lang_logout}>\" onclick=\"location=\'user.php?op=logout\'\" /></td>\r\n  </tr>\r\n</table>\r\n</form>\r\n\r\n<br /><br />\r\n<{elseif $xoops_isadmin != false}>\r\n\r\n<br /><br />\r\n\r\n<table width=\"70%\" align=\"center\" border=\"0\">\r\n  <tr align=\"center\">\r\n    <td><input type=\"button\" value=\"<{$lang_editprofile}>\" onclick=\"location=\'<{$xoops_url}>/modules/system/admin.php?fct=users&uid=<{$user_uid}>&op=modifyUser\'\" />\r\n    <input type=\"button\" value=\"<{$lang_deleteaccount}>\" onclick=\"location=\'<{$xoops_url}>/modules/system/admin.php?fct=users&op=delUser&uid=<{$user_uid}>\'\" />\r\n  </tr>\r\n</table>\r\n\r\n<br /><br />\r\n<{/if}>\r\n\r\n<table width=\"100%\" border=\"0\" cellspacing=\"5\">\r\n  <tr valign=\"top\">\r\n    <td width=\"50%\">\r\n      <table class=\"outer\" cellpadding=\"4\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <th colspan=\"2\" align=\"center\"><{$lang_allaboutuser}></th>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_avatar}></td>\r\n          <td align=\"center\" class=\"even\"><img src=\"<{$user_avatarurl}>\" alt=\"Avatar\" /></td>\r\n        </tr>\r\n        <tr>\r\n          <td class=\"head\"><{$lang_realname}></td>\r\n          <td align=\"center\" class=\"odd\"><{$user_realname}></td>\r\n        </tr>\r\n        <tr>\r\n          <td class=\"head\"><{$lang_website}></td>\r\n          <td class=\"even\"><{$user_websiteurl}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_email}></td>\r\n          <td class=\"odd\"><{$user_email}></td>\r\n        </tr>\r\n	<tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_privmsg}></td>\r\n          <td class=\"even\"><{$user_pmlink}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_icq}></td>\r\n          <td class=\"odd\"><{$user_icq}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_aim}></td>\r\n          <td class=\"even\"><{$user_aim}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_yim}></td>\r\n          <td class=\"odd\"><{$user_yim}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_msnm}></td>\r\n          <td class=\"even\"><{$user_msnm}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_location}></td>\r\n          <td class=\"odd\"><{$user_location}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_occupation}></td>\r\n          <td class=\"even\"><{$user_occupation}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_interest}></td>\r\n          <td class=\"odd\"><{$user_interest}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_extrainfo}></td>\r\n          <td class=\"even\"><{$user_extrainfo}></td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n    <td width=\"50%\">\r\n      <table class=\"outer\" cellpadding=\"4\" cellspacing=\"1\" width=\"100%\">\r\n        <tr valign=\"top\">\r\n          <th colspan=\"2\" align=\"center\"><{$lang_statistics}></th>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_membersince}></td>\r\n          <td align=\"center\" class=\"even\"><{$user_joindate}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_rank}></td>\r\n          <td align=\"center\" class=\"odd\"><{$user_rankimage}><br /><{$user_ranktitle}></td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_posts}></td>\r\n          <td align=\"center\" class=\"even\"><{$user_posts}></td>\r\n        </tr>\r\n	<tr valign=\"top\">\r\n          <td class=\"head\"><{$lang_lastlogin}></td>\r\n          <td align=\"center\" class=\"odd\"><{$user_lastlogin}></td>\r\n        </tr>\r\n      </table>\r\n      <br />\r\n      <table class=\"outer\" cellpadding=\"4\" cellspacing=\"1\" width=\"100%\">\r\n        <tr valign=\"top\">\r\n          <th colspan=\"2\" align=\"center\"><{$lang_signature}></th>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n          <td class=\"even\"><{$user_signature}></td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n\r\n<{if $fields}>\r\n    <table border=\"0\" cellspacing=\"5\">\r\n        <tr>\r\n            <td>\r\n                <table class=\"outer\" cellpadding=\"4\" cellspacing=\"1\" width=\"100%\">\r\n                    <{foreach item=field from=$fields}>\r\n                        <tr>\r\n                            <td class=\"head\"><{$field.title}></td>\r\n                            <td class=\"even\"><{$field.value}></td>\r\n                        </tr>\r\n                    <{/foreach}>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n<{/if}>\r\n\r\n<!-- start module search results loop -->\r\n<{foreach item=module from=$modules}>\r\n\r\n<p>\r\n<h4><{$module.name}></h4>\r\n\r\n  <!-- start results item loop -->\r\n  <{foreach item=result from=$module.results}>\r\n\r\n  <img src=\"<{$result.image}>\" alt=\"<{$module.name}>\" /><b><a href=\"<{$result.link}>\"><{$result.title}></a></b><br /><small>(<{$result.time}>)</small><br />\r\n\r\n  <{/foreach}>\r\n  <!-- end results item loop -->\r\n\r\n<{$module.showall_link}>\r\n</p>\r\n\r\n<{/foreach}>\r\n<!-- end module search results loop -->'),(4,'<fieldset style=\"padding: 10px;\">\r\n  <legend style=\"font-weight: bold;\"><{$lang_login}></legend>\r\n  <form action=\"user.php\" method=\"post\">\r\n    <{$lang_username}> <input type=\"text\" name=\"uname\" size=\"26\" maxlength=\"25\" value=\"<{$usercookie}>\" /><br />\r\n    <{$lang_password}> <input type=\"password\" name=\"pass\" size=\"21\" maxlength=\"32\" /><br />\r\n    <input type=\"hidden\" name=\"op\" value=\"login\" />\r\n    <input type=\"hidden\" name=\"xoops_redirect\" value=\"<{$redirect_page}>\" />\r\n    <input type=\"submit\" value=\"<{$lang_login}>\" />\r\n  </form>\r\n  <a name=\"lost\"></a>\r\n  <div><{$lang_notregister}><br /></div>\r\n</fieldset>\r\n\r\n<br />\r\n\r\n<fieldset style=\"padding: 10px;\">\r\n  <legend style=\"font-weight: bold;\"><{$lang_lostpassword}></legend>\r\n  <div><br /><{$lang_noproblem}></div>\r\n  <form action=\"<{$xoops_url}>/lostpass.php\" method=\"post\">\r\n    <{$lang_youremail}> <input type=\"text\" name=\"email\" size=\"26\" maxlength=\"60\" />&nbsp;&nbsp;<input type=\"hidden\" name=\"op\" value=\"mailpasswd\" /><input type=\"hidden\" name=\"t\" value=\"<{$mailpasswd_token}>\" /><input type=\"submit\" value=\"<{$lang_sendpassword}>\" />\r\n  </form>\r\n</fieldset>\r\n<br />\r\n<a href=\"<{$xoops_url}>/modules/profile/activate.php\" title=\"<{$smarty.const._US_RESENDACTIVATIONMAIL}>\"><{$smarty.const._US_RESENDACTIVATIONMAIL}></a>'),(5,'<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n<{if $xoops_rsscss}>\r\n    <?xml-stylesheet type=\"text/css\" href=\"<{$xoops_themecss}>\"?>\r\n<{/if}>\r\n<rss version=\"2.0\">\r\n  <channel>\r\n    <title><{$channel_title}></title>\r\n    <link><{$channel_link}></link>\r\n    <description><{$channel_desc}></description>\r\n    <lastBuildDate><{$channel_lastbuild}></lastBuildDate>\r\n    <docs>http://backend.userland.com/rss/</docs>\r\n    <generator><{$channel_generator}></generator>\r\n    <category><{$channel_category}></category>\r\n    <managingEditor><{$channel_editor}></managingEditor>\r\n    <webMaster><{$channel_webmaster}></webMaster>\r\n    <language><{$channel_language}></language>\r\n    <{if $image_url != \"\"}>\r\n    <image>\r\n      <title><{$channel_title}></title>\r\n      <url><{$image_url}></url>\r\n      <link><{$channel_link}></link>\r\n      <width><{$image_width}></width>\r\n      <height><{$image_height}></height>\r\n    </image>\r\n    <{/if}>\r\n    <{foreach item=item from=$items}>\r\n    <item>\r\n      <title><{$item.title}></title>\r\n      <link><{$item.link}></link>\r\n      <description><{$item.description}></description>\r\n      <pubDate><{$item.pubdate}></pubDate>\r\n      <guid><{$item.guid}></guid>\r\n    </item>\r\n    <{/foreach}>\r\n  </channel>\r\n</rss>'),(6,'<div style=\"text-align:center; background-color: transparent; border-top: 0px solid #FFFFFF; border-left: 0px solid #FFFFFF; border-right: 0px solid #AAAAAA; border-bottom: 0px solid #AAAAAA; font-weight : bold;\">\r\n  <h4><{$message}></h4>\r\n  <p><{$lang_ifnotreload}></p>\r\n</div>'),(7,'<div class=\"comContainer\">\r\n		<div class=\"com_tl\"><div class=\"com_tr\"><div class=\"com_br\"><div class=\"com_bl\"> \r\n			<h2 class=\"comTitle\"><a id=\"comment<{$comment.id}>\"></a><{$comment.image}><{$comment.title}></h2>\r\n			<div class=\"comIcons\">\r\n				<{if $xoops_iscommentadmin == true}>\r\n						<a href=\"<{$editcomment_link}>&amp;com_id=<{$comment.id}>\"><img src=\"<{$xoops_url}>/themes/default/images/edit_small.gif\" width=\"16\" height=\"16\" alt=\"<{$lang_edit}>\" title=\"<{$lang_edit}>\" /></a>&nbsp;<a href=\"<{$deletecomment_link}>&amp;com_id=<{$comment.id}>\"><img src=\"<{$xoops_url}>/themes/default/images/delete_small.gif\" width=\"16\" height=\"16\" alt=\"<{$lang_delete}>\" title=\"<{$lang_delete}>\" /></a>&nbsp;<a href=\"<{$replycomment_link}>&amp;com_id=<{$comment.id}>\"><img src=\"<{$xoops_url}>/themes/default/images/reply_small.gif\" width=\"16\" height=\"16\" alt=\"<{$lang_reply}>\" title=\"<{$lang_reply}>\" /></a>\r\n				<{elseif $xoops_isuser == true && $xoops_userid == $comment.poster.id}>\r\n						<a href=\"<{$editcomment_link}>&amp;com_id=<{$comment.id}>\"><img src=\"<{$xoops_url}>/themes/default/images/edit_small.gif\" width=\"16\" height=\"16\" alt=\"<{$lang_edit}>\" /></a>&nbsp;\r\n						<a href=\"<{$replycomment_link}>&amp;com_id=<{$comment.id}>\"><img src=\"<{$xoops_url}>/themes/default/images/reply_small.gif\" width=\"16\" height=\"16\" alt=\"<{$lang_reply}>\" /></a>\r\n				<{elseif $xoops_isuser == true || $anon_canpost == true}>\r\n						<a href=\"<{$replycomment_link}>&amp;com_id=<{$comment.id}>\"><img src=\"<{$xoops_url}>/themes/default/images/reply_small.gif\" width=\"16\" height=\"16\" alt=\"<{$lang_reply}>\" /></a>\r\n				<{/if}>\r\n			</div>\r\n      \r\n  <div>\r\n					<span class=\"comDateCaption\"><{$lang_posted}>:</span> <{$comment.date_posted}>&nbsp;&nbsp;<span class=\"comDateCaption\"><{$lang_updated}>:</span> <{$comment.date_modified}>\r\n	</div>\r\n\r\n				<{if $comment.poster.id != 0}>\r\n					<div class=\"comUserdetails\">\r\n						<img class=\"comUserImg\" src=\"<{$xoops_upload_url}>/<{$comment.poster.avatar}>\" alt=\"\" /><br />\r\n						<span class=\"comUserName\"><{$comment.poster.uname}></span><br />\r\n						<img class=\"comUserRankImg\" src=\"<{$xoops_upload_url}>/<{$comment.poster.rank_image}>\" alt=\"\" /><br />\r\n						<span class=\"comUserName\"><{$comment.poster.rank_title}></span><br />\r\n						<span class=\"comUserStatCaption\"><{$lang_joined}>:</span> <{$comment.poster.regdate}><br />\r\n						<span class=\"comUserStatCaption\"><{$lang_from}>:</span> <{$comment.poster.from}><br />\r\n						<span class=\"comUserStatCaption\"><{$lang_posts}>:</span> <{$comment.poster.postnum}><br />\r\n						<span class=\"comUserStatus\"><{$comment.poster.status}></span>\r\n					</div>\r\n				<{/if}>\r\n						\r\n  <div class=\"comText\">\r\n  	<{$comment.text}>\r\n  </div>\r\n\r\n</div></div></div></div></div>'),(8,'<table cellpadding=\"1\" cellspacing=\"4\">\r\n<tr>\r\n<td>\r\n  <{foreach item=comment from=$comments}>\r\n    <{include file=\"db:system_comment.html\" comment=$comment}>\r\n  <{/foreach}>\r\n</td>\r\n</tr>\r\n</table>'),(9,'<{section name=i loop=$comments}>\r\n<br />\r\n<table cellspacing=\"1\">\r\n  <tr>\r\n    <td>\r\n  <{include file=\"db:system_comment.html\" comment=$comments[i]}>\r\n	</td>\r\n</tr>\r\n</table>\r\n\r\n<{if $show_threadnav == true}>\r\n<div style=\"text-align:left; margin:3px; padding: 5px;\">\r\n<a href=\"<{$comment_url}>\"><{$lang_top}></a> | <a href=\"<{$comment_url}>&amp;com_id=<{$comments[i].pid}>&amp;com_rootid=<{$comments[i].rootid}>#newscomment<{$comments[i].pid}>\"><{$lang_parent}></a>\r\n</div>\r\n<{/if}>\r\n\r\n<{if $comments[i].show_replies == true}>\r\n<!-- start comment tree -->\r\n<br />\r\n<table cellspacing=\"1\" class=\"outer\" width=\"90%\">\r\n  <tr>\r\n    <th width=\"50%\"><{$lang_subject}></th>\r\n    <th width=\"20%\" align=\"center\"><{$lang_poster}></th>\r\n    <th align=\"right\"><{$lang_posted}></th>\r\n  </tr>\r\n  <{foreach item=reply from=$comments[i].replies}>\r\n  <tr>\r\n    <td class=\"even\"><{$reply.prefix}> <a href=\"<{$comment_url}>&amp;com_id=<{$reply.id}>&amp;com_rootid=<{$reply.root_id}>\"><{$reply.title}></a></td>\r\n    <td class=\"odd\" align=\"center\"><{$reply.poster.uname}></td>\r\n    <td class=\"even\" align=\"right\"><{$reply.date_posted}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>\r\n<!-- end comment tree -->\r\n<{/if}>\r\n\r\n<{/section}>'),(10,'<{section name=i loop=$comments}>\r\n<br />\r\n<table cellspacing=\"1\">\r\n  <tr>\r\n    <td>\r\n  <{include file=\"db:system_comment.html\" comment=$comments[i]}>\r\n    </td>\r\n</tr>\r\n</table>\r\n\r\n<!-- start comment replies -->\r\n<{foreach item=reply from=$comments[i].replies}>\r\n<br />\r\n<table cellspacing=\"0\" border=\"0\">\r\n  <tr>\r\n    <td width=\"<{$reply.prefix}>\"></td>\r\n    <td>\r\n      <table cellspacing=\"1\">\r\n        <tr>\r\n          <td>\r\n        <{include file=\"db:system_comment.html\" comment=$reply}>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<{/foreach}>\r\n<!-- end comment tree -->\r\n<{/section}>'),(11,'<table cellspacing=\"1\" align=\"center\" width=\"80%\" border=\"0\" cellpadding=\"10px;\">\r\n    <tr>\r\n      <td align=\"center\"><div style=\"background-color: #DDFFDF; color: #136C99; text-align: center; border-top: 1px solid #DDDDFF; border-left: 1px solid #DDDDFF; border-right: 1px solid #AAAAAA; border-bottom: 1px solid #AAAAAA; font-weight: bold; padding: 10px;\"><{$lang_siteclosemsg}></div></td>\r\n    </tr>\r\n  </table>\r\n  \r\n  <form action=\"<{$xoops_url}>/user.php\" method=\"post\">\r\n    <table cellspacing=\"0\" align=\"center\" style=\"border: 0px solid silver; width: 200px;\">\r\n      <tr>\r\n			<td>\r\n				<fieldset style=\"padding: 10px;border: 1px solid #aca899;\">\r\n					<legend style=\"font-weight: bold;\"><{$lang_login}></legend>\r\n						<{$lang_username}> <input type=\"text\" name=\"uname\" size=\"21\" maxlength=\"25\" value=\"<{$usercookie}>\" /><br />\r\n    					<{$lang_password}> <input type=\"password\" name=\"pass\" size=\"21\" maxlength=\"32\" /><br />\r\n						<input type=\"hidden\" name=\"xoops_login\" value=\"1\" />\r\n						<input class=\"formbutton\" type=\"submit\" value=\"<{$lang_login}>\" />\r\n				</fieldset>\r\n			</td>\r\n       </tr>\r\n    </table>\r\n  </form>'),(12,'<{$dummy_content}>'),(13,'<h4><{$lang_activenotifications}></h4>\r\n<form name=\"notificationlist\" action=\"notifications.php\" method=\"post\">\r\n<table class=\"outer\">\r\n  <tr>\r\n    <th><input name=\"allbox\" id=\"allbox\" onclick=\"xoopsCheckGroup(\'notificationlist\', \'allbox\', \'del_mod[]\');\" type=\"checkbox\" value=\"<{$lang_checkall}>\" /></th>\r\n    <th><{$lang_event}></th>\r\n    <th><{$lang_category}></th>\r\n    <th><{$lang_itemid}></th>\r\n    <th><{$lang_itemname}></th>\r\n  </tr>\r\n  <{foreach item=module from=$modules}>\r\n  <tr>\r\n    <td class=\"head\"><input name=\"del_mod[<{$module.id}>]\" id=\"del_mod[]\" onclick=\"xoopsCheckGroup(\'notificationlist\', \'del_mod[<{$module.id}>]\', \'del_not[<{$module.id}>][]\');\" type=\"checkbox\" value=\"<{$module.id}>\" /></td>\r\n    <td class=\"head\" colspan=\"4\"><{$lang_module}>: <{$module.name}></td>\r\n  </tr>\r\n  <{foreach item=category from=$module.categories}>\r\n  <{foreach item=item from=$category.items}>\r\n  <{foreach item=notification from=$item.notifications}>\r\n  <tr>\r\n    <{cycle values=odd,even assign=class}>\r\n    <td class=\"<{$class}>\"><input type=\"checkbox\" name=\"del_not[<{$module.id}>][]\" id=\"del_not[<{$module.id}>][]\" value=\"<{$notification.id}>\" /></td>\r\n    <td class=\"<{$class}>\"><{$notification.event_title}></td>\r\n    <td class=\"<{$class}>\"><{$notification.category_title}></td>\r\n    <td class=\"<{$class}>\"><{if $item.id != 0}><{$item.id}><{/if}></td>\r\n    <td class=\"<{$class}>\"><{if $item.id != 0}><{if $item.url != \'\'}><a href=\"<{$item.url}>\"><{/if}><{$item.name}><{if $item.url != \'\'}></a><{/if}><{/if}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <tr>\r\n    <td class=\"foot\" colspan=\"5\">\r\n      <input class=\"formbutton\" type=\"submit\" name=\"delete_cancel\" value=\"<{$lang_cancel}>\" />\r\n      <input class=\"formbutton\" type=\"reset\" name=\"delete_reset\" value=\"<{$lang_clear}>\" />\r\n      <input class=\"formbutton\" type=\"submit\" name=\"delete\" value=\"<{$lang_delete}>\" />\r\n      <input type=\"hidden\" name=\"XOOPS_TOKEN_REQUEST\" value=\"<{$notification_token}>\" />\r\n    </td>\r\n  </tr>\r\n</table>\r\n</form>'),(14,'<{if $xoops_notification.show}>\r\n<h4 class=\"centered\">\r\n\r\n<img id=\"swap\" src=\"<{$xoops_url}>/themes/default/images/plus.gif\" onClick=\"toggle(\'notifs_form\');swapimage(\'swap\');\" />\r\n\r\n<{$lang_notificationoptions}></h4>\r\n\r\n<form name=\"notification_select\" id=\"notifs_form\" action=\"<{$xoops_notification.target_page}>\" method=\"post\">\r\n<input type=\"hidden\" name=\"not_redirect\" value=\"<{$xoops_notification.redirect_script}>\" />\r\n<{$xoops_notification.token}>\r\n<table class=\"outer\">\r\n  <tr><th colspan=\"3\"><{$lang_notificationoptions}></th></tr>\r\n  <tr>\r\n    <td class=\"head\"><{$lang_category}></td>\r\n    <td class=\"head\"><input name=\"allbox\" id=\"allbox\" onclick=\"xoopsCheckAll(\'notification_select\',\'allbox\');\" type=\"checkbox\" value=\"<{$lang_checkall}>\" /></td>\r\n    <td class=\"head\"><{$lang_events}></td>\r\n  </tr>\r\n  <{foreach name=outer item=category from=$xoops_notification.categories}>\r\n  <{foreach name=inner item=event from=$category.events}>\r\n  <tr>\r\n    <{if $smarty.foreach.inner.first}>\r\n    <td class=\"even\" rowspan=\"<{$smarty.foreach.inner.total}>\"><{$category.title}></td>\r\n    <{/if}>\r\n    <td class=\"odd\">\r\n    <{counter assign=index}>\r\n    <input type=\"hidden\" name=\"not_list[<{$index}>][params]\" value=\"<{$category.name}>,<{$category.itemid}>,<{$event.name}>\" />\r\n    <input type=\"checkbox\" id=\"not_list_<{$index}>\" name=\"not_list[<{$index}>][status]\" value=\"1\" <{if $event.subscribed}>checked=\"checked\"<{/if}> />\r\n    </td>\r\n    <td class=\"odd\"><{$event.caption}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <tr>\r\n    <td class=\"foot\" colspan=\"3\"><input class=\"formbutton\" type=\"submit\" name=\"not_submit\" value=\"<{$lang_updatenow}>\" /></td>\r\n  </tr>\r\n</table>\r\n<div class=\"centered\">\r\n<{$lang_notificationmethodis}>:&nbsp;<{$user_method}>&nbsp;&nbsp;[<a href=\"<{$editprofile_url}>\"><{$lang_change}></a>]\r\n</div>\r\n</form>\r\n<{/if}>'),(15,'<div class=\"errorPage\"><{$errormsg}></div>'),(16,'<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"<{$xoops_langcode}>\" lang=\"<{$xoops_langcode}>\">\r\n<head>\r\n<meta http-equiv=\"content-type\" content=\"text/html; charset=<{$xoops_charset}>\" />\r\n<meta http-equiv=\"content-language\" content=\"<{$xoops_langcode}>\" />\r\n<meta name=\"robots\" content=\"<{$xoops_meta_robots}>\" />\r\n<meta name=\"keywords\" content=\"<{$xoops_meta_keywords}>\" />\r\n<meta name=\"description\" content=\"<{$xoops_meta_description}>\" />\r\n<meta name=\"rating\" content=\"<{$xoops_meta_rating}>\" />\r\n<meta name=\"author\" content=\"<{$xoops_meta_author}>\" />\r\n<meta name=\"copyright\" content=\"<{$xoops_meta_copyright}>\" />\r\n<meta name=\"generator\" content=\"XOOPS\" />\r\n<title><{$xoops_sitename}> - <{$xoops_pagetitle}></title>\r\n<link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" href=\"<{$xoops_url}>/xoops.css\" />\r\n<link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" href=\"<{$xoops_themecss}>\" />\r\n<!-- RMV: added module header -->\r\n<{$xoops_module_header}>\r\n<script type=\"text/javascript\">\r\n<!--\r\n<{$xoops_js}>\r\n//-->\r\n</script>\r\n</head>\r\n<body>\r\n    <div id=\"content\">\r\n      <{$xoops_contents}>\r\n    </div>\r\n</body>\r\n</html>'),(17,'<h4 style=\'text-align:left;\'><{$smarty.const._AM_BADMIN}></h4>\r\n\r\n<div>\r\n    <form name=\"<{$newform.name}>\" id=\"<{$newform.name}>\" action=\"<{$newform.action}>\" method=\"<{$newform.method}>\" <{$newform.extra}> >\r\n        <{foreach item=element from=$newform.elements}>\r\n            <{if $element.hidden != true}>\r\n                <{$element.caption}>&nbsp;<{$element.body}>\r\n            <{else}>\r\n                <{$element.body}>\r\n            <{/if}>\r\n        <{/foreach}>\r\n    </form>\r\n</div>\r\n\r\n<form name=\"<{$blockform.name}>\" id=\"<{$blockform.name}>\" action=\"<{$blockform.action}>\" method=\"<{$blockform.method}>\" <{$blockform.extra}> >\r\n    <table width=\'100%\' class=\'outer\' cellpadding=\'4\' cellspacing=\'1\'>\r\n        <tr valign=\'middle\'>\r\n            <th width=\'20%\'><{$smarty.const._AM_BLKDESC}></th>\r\n            <th><{$smarty.const._AM_TITLE}></th>\r\n            <th><{$smarty.const._AM_MODULE}></th>\r\n            <th align=\'center\'><{$smarty.const._AM_SIDE}></th>\r\n            <th align=\'center\'><{$smarty.const._AM_WEIGHT}></th>\r\n            <th align=\'center\'><{$smarty.const._AM_VISIBLEIN}></th>\r\n            <th align=\'right\'><{$smarty.const._AM_ACTION}></th>\r\n        </tr>\r\n       \r\n        <{foreach item=instance from=$instances}>\r\n            <tr valign=\'top\' class=\'<{cycle values=\"odd, even\"}>\'>\r\n                <td><{$instance.title}></td>\r\n                <td><{$instance.block_name}></td>\r\n                <td><{$instance.module_name}></td>\r\n                <td>\r\n                    <select name=\"side[<{$instance.instanceid}>]\">\r\n                        <{html_options options=$side_options selected=$instance.side}>\r\n                    </select>\r\n                </td>\r\n                <td align=\'center\'>\r\n                    <input type=\'text\' name=\'weight[<{$instance.instanceid}>]\' value=\'<{$instance.weight}>\' size=\'5\' maxlength=\'5\' />\r\n                </td>\r\n                <td align=\'center\'>\r\n                    <select name=\"module[<{$instance.instanceid}>][]\" multiple=\"multiple\" size=\"8\">\r\n                        <{html_options options=$module_options selected=$instance.visiblein}>\r\n                    </select>\r\n                </td>\r\n                <td align=\'right\'><a href=\'admin.php?fct=blocksadmin&amp;op=edit&amp;id=<{$instance.instanceid}>&amp;selmod=<{$selmod}>\'><{$smarty.const._EDIT}></a>\r\n                &nbsp;<a href=\'admin.php?fct=blocksadmin&amp;op=delete&amp;id=<{$instance.instanceid}>&amp;selmod=<{$selmod}>\'><{$smarty.const._DELETE}></a>\r\n            </td>\r\n            </tr>\r\n        <{/foreach}>\r\n            \r\n        <tr>\r\n            <td class=\'foot\' align=\'center\' colspan=\'7\'>\r\n                <{foreach item=element from=$blockform.elements}>\r\n                    <{if $element.hidden != true}>\r\n                        <{$element.caption}>&nbsp;<{$element.body}>\r\n                    <{else}>\r\n                        <{$element.body}>\r\n                    <{/if}>\r\n                <{/foreach}>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>'),(18,'<table cellspacing=\"0\">\r\n  <tr>\r\n    <td id=\"usermenu\">\r\n      <a class=\"menuTop\" href=\"<{$xoops_url}>/user.php\"><{$block.lang_youraccount}></a>\r\n      <a href=\"<{$xoops_url}>/edituser.php\"><{$block.lang_editaccount}></a>\r\n      <a href=\"<{$xoops_url}>/notifications.php\"><{$block.lang_notifications}></a>\r\n      <a href=\"<{$xoops_url}>/user.php?op=logout\"><{$block.lang_logout}></a>\r\n      <{if $block.admin}>\r\n        <a href=\"<{$xoops_url}>/admin.php\"><{$block.lang_adminmenu}></a>\r\n      <{/if}>\r\n    </td>\r\n  </tr>\r\n</table>'),(19,'<form style=\"margin-top: 0px;\" action=\"<{$xoops_url}>/user.php\" method=\"post\">\r\n    <{$block.lang_username}><br />\r\n    <input type=\"text\" name=\"uname\" size=\"12\" value=\"<{$block.unamevalue}>\" maxlength=\"25\" /><br />\r\n    <{$block.lang_password}><br />\r\n    <input type=\"password\" name=\"pass\" size=\"12\" maxlength=\"32\" /><br />\r\n    <!-- <input type=\"checkbox\" name=\"rememberme\" value=\"On\" class =\"formButton\" /><{$block.lang_rememberme}><br /> //-->\r\n    <input type=\"hidden\" name=\"xoops_redirect\" value=\"<{$xoops_requesturi}>\" />\r\n    <input type=\"hidden\" name=\"op\" value=\"login\" />\r\n    <input class=\"formbutton\" type=\"submit\" value=\"<{$block.lang_login}>\" /><br />\r\n    <{$block.sslloginlink}>\r\n</form>\r\n<a href=\"<{$xoops_url}>/user.php#lost\"><{$block.lang_lostpass}></a>\r\n<br /><br />\r\n<a href=\"<{$xoops_url}>/register.php\"><{$block.lang_registernow}></a>'),(20,'<form class=\"search_block\" action=\"<{$xoops_url}>/search.php\" method=\"get\">\r\n  <input type=\"text\" name=\"query\" size=\"14\" /><input type=\"hidden\" name=\"action\" value=\"results\" /><br /><input class=\"formbutton\" type=\"submit\" value=\"<{$block.lang_search}>\" />\r\n  <{if $block.modid > 1}>\r\n    <input type=\"hidden\" name=\"mids[]\" value=\"<{$block.modid}>\" />\r\n  <{/if}>\r\n</form>\r\n<a href=\"<{$xoops_url}>/search.php\"><{$block.lang_advsearch}></a>'),(21,'<ul>\r\n  <{foreach item=module from=$block.modules}>\r\n  <li><a href=\"<{$module.adminlink}>\"><{$module.lang_linkname}></a>: <{$module.pendingnum}></li>\r\n  <{/foreach}>\r\n</ul>'),(22,'<table cellspacing=\"0\">\r\n  <tr>\r\n    <td id=\"mainmenu\">\r\n      <a class=\"menuTop\" href=\"<{$xoops_url}>/\"><{$block.lang_home}></a>\r\n      <!-- start module menu loop -->\r\n      <{foreach item=module from=$block.modules}>\r\n      <a class=\"menuMain\" href=\"<{$xoops_url}>/modules/<{$module.directory}>/\"><{$module.name}></a>\r\n        <{foreach item=sublink from=$module.sublinks}>\r\n          <a class=\"menuSub\" href=\"<{$sublink.url}>\"><{$sublink.name}></a>\r\n        <{/foreach}>\r\n      <{/foreach}>\r\n      <!-- end module menu loop -->\r\n    </td>\r\n  </tr>\r\n</table>'),(23,'<{$block.online_total}><br /><br /><{$block.lang_members}>: <{$block.online_members}><br /><{$block.lang_guests}>: <{$block.online_guests}><br /><br /><{$block.online_names}> <a href=\"javascript:openWithSelfMain(\'<{$xoops_url}>/misc.php?action=showpopups&amp;type=online\',\'Online\',420,350);\"><{$block.lang_more}></a>'),(24,'<table cellspacing=\"1\" class=\"outer\">\r\n  <{foreach item=user from=$block.users}>\r\n  <tr class=\"<{cycle values=\"even,odd\"}>\" valign=\"middle\">\r\n    <td><{$user.rank}></td>\r\n    <td align=\"center\">\r\n      <{if $user.avatar != \"\"}>\r\n      <img src=\"<{$user.avatar}>\" alt=\"\" width=\"32\" /><br />\r\n      <{/if}>\r\n      <a href=\"<{$xoops_url}>/userinfo.php?uid=<{$user.id}>\"><{$user.name}></a>\r\n    </td>\r\n    <td align=\"center\"><{$user.posts}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>'),(25,'<table cellspacing=\"1\" class=\"outer\">\r\n  <{foreach item=user from=$block.users}>\r\n    <tr class=\"<{cycle values=\"even,odd\"}>\" valign=\"middle\">\r\n      <td align=\"center\">\r\n      <{if $user.avatar != \"\"}>\r\n      <img src=\"<{$user.avatar}>\" alt=\"\" width=\"32\" /><br />\r\n      <{/if}>\r\n      <a href=\"<{$xoops_url}>/userinfo.php?uid=<{$user.id}>\"><{$user.name}></a>\r\n      </td>\r\n      <td align=\"center\"><{$user.joindate}></td>\r\n    </tr>\r\n  <{/foreach}>\r\n</table>'),(26,'<table width=\"100%\" cellspacing=\"1\" class=\"outer\">\r\n  <{foreach item=comment from=$block.comments}>\r\n  <tr class=\"<{cycle values=\"even,odd\"}>\">\r\n    <td align=\"center\"><img src=\"<{$xoops_url}>/images/<{$comment.icon}>\" alt=\"\" /></td>\r\n    <td><{$comment.title}></td>\r\n    <td align=\"center\"><{$comment.module}></td>\r\n    <td align=\"center\"><{$comment.poster}></td>\r\n    <td align=\"right\"><{$comment.time}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>'),(27,'<form action=\"<{$block.target_page}>\" method=\"post\">\r\n<table class=\"outer\">\r\n  <{foreach item=category from=$block.categories}>\r\n  <{foreach name=inner item=event from=$category.events}>\r\n  <{if $smarty.foreach.inner.first}>\r\n  <tr>\r\n    <td class=\"head\" colspan=\"2\"><{$category.title}></td>\r\n  </tr>\r\n  <{/if}>\r\n  <tr>\r\n    <td class=\"odd\"><{counter assign=index}><input type=\"hidden\" name=\"not_list[<{$index}>][params]\" value=\"<{$category.name}>,<{$category.itemid}>,<{$event.name}>\" /><input type=\"checkbox\" name=\"not_list[<{$index}>][status]\" value=\"1\" <{if $event.subscribed}>checked=\"checked\"<{/if}> /></td>\r\n    <td class=\"odd\"><{$event.caption}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <tr>\r\n    <td class=\"foot\" colspan=\"2\"><input type=\"hidden\" name=\"not_redirect\" value=\"<{$block.redirect_script}>\"><input type=\"hidden\" value=\"<{$block.notification_token}>\" name=\"XOOPS_TOKEN_REQUEST\" /><input type=\"submit\" name=\"not_submit\" value=\"<{$block.submit_button}>\" /></td>\r\n  </tr>\r\n</table>\r\n</form>'),(28,'<div style=\"text-align: center;\">\r\n<form action=\"index.php\" method=\"post\">\r\n<{$block.theme_select}>\r\n</form>\r\n</div>'),(29,'<{$block.content}>'),(30,'<{$pmform.javascript}>\r\n<form name=\"<{$pmform.name}>\" id=\"<{$pmform.name}>\" action=\"<{$pmform.action}>\" method=\"<{$pmform.method}>\" <{$pmform.extra}> >\r\n    <table width=\'300\' align=\'center\' class=\'outer\'>\r\n        <tr>\r\n            <td class=\'head\' width=\'30%\'><{$smarty.const._PM_TO}></td>\r\n            <td class=\'even\'><{if $pmform.elements.to_userid.hidden != 1}><{$pmform.elements.to_userid.body}><{/if}><{$to_username}></td>\r\n        </tr>\r\n        <tr>\r\n            <td class=\'head\' width=\'30%\'><{$smarty.const._PM_SUBJECTC}></td>\r\n            <td class=\'even\'><{$pmform.elements.subject.body}></td>\r\n        </tr>\r\n        <tr valign=\'top\'>\r\n            <td class=\'head\' width=\'30%\'><{$smarty.const._PM_MESSAGEC}></td>\r\n            <td class=\'even\'><{$pmform.elements.message.body}></td>\r\n        </tr>\r\n        <tr valign=\'top\'>\r\n            <td class=\'head\' width=\'30%\'><{$smarty.const._PM_SAVEINOUTBOX}></td>\r\n            <td class=\'even\'><{$pmform.elements.savecopy.body}></td>\r\n        </tr>\r\n        <tr>\r\n            <td class=\'head\'>&nbsp;</td>\r\n            <td class=\'even\'>\r\n                <{foreach item=element from=$pmform.elements}>\r\n                    <{if $element.hidden == 1}>\r\n                        <{$element.body}>\r\n                    <{/if}>\r\n                <{/foreach}>\r\n                <{$pmform.elements.submit.body}>&nbsp;\r\n                <{$pmform.elements.reset.body}>&nbsp;\r\n                <{$pmform.elements.cancel.body}>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>'),(31,'<div>\r\n    <h4><{$smarty.const._PM_PRIVATEMESSAGE}></h4>\r\n</div><br />\r\n<{if $op==out}>\r\n    <a href=\'viewpmsg.php?op=out\'><{$smarty.const._PM_OUTBOX}></a>&nbsp;\r\n<{elseif $op == \"save\"}>\r\n    <a href=\'viewpmsg.php?op=save\'><{$smarty.const._PM_SAVEBOX}></a>&nbsp;\r\n<{else}>\r\n    <a href=\'viewpmsg.php?op=in\'><{$smarty.const._PM_INBOX}></a>&nbsp;\r\n<{/if}>\r\n\r\n<{if $message}>\r\n    <span style=\'font-weight:bold;\'>&raquo;&raquo;</span>&nbsp;<{$message.subject}><br />\r\n    <form name=\"<{$pmform.name}>\" id=\"<{$pmform.name}>\" action=\"<{$pmform.action}>\" method=\"<{$pmform.method}>\" <{$pmform.extra}> >\r\n        <table border=\'0\' cellpadding=\'4\' cellspacing=\'1\' class=\'outer\' width=\'100%\'>\r\n            <tr>\r\n                <th colspan=\'2\'><{if $op==out}><{$smarty.const._PM_TO}><{else}><{$smarty.const._PM_FROM}><{/if}></th>\r\n            </tr>\r\n            <tr class=\'even\'>\r\n                <td valign=\'top\'>\r\n                    <{if ( $poster != false ) }>\r\n                        <a href=\'<{$xoops_url}>/userinfo.php?uid=<{$poster->getVar(\"uid\")}>\'><{$poster->getVar(\"uname\")}></a><br />\r\n                        <{if ( $poster->getVar(\"user_avatar\") != \"\" ) }>\r\n                            <img src=\'uploads/<{$poster->getVar(\"user_avatar\")}>\' alt=\'\' /><br />\r\n                        <{/if}>\r\n                        <{if ( $poster->getVar(\"user_from\") != \"\" ) }>\r\n                            <{$smarty.const._PM_FROMC}><{$poster->getVar(\"user_from\")}><br /><br />\r\n                        <{/if}>\r\n                        <{if ( $poster->isOnline() ) }>\r\n                            <span style=\'color:#ee0000;font-weight:bold;\'><{$smarty.const._PM_ONLINE}></span><br /><br />\r\n                        <{/if}>\r\n                    <{else}>\r\n                        <{$anonymous}>\r\n                    <{/if}>\r\n                </td>\r\n                <td>\r\n                    <img src=\'images/subject/<{$message.msg_image}>\' alt=\'\' />&nbsp;<{$smarty.const._PM_SENTC}><{$message.msg_time}>\r\n                    <hr />\r\n                    <b><{$message.subject}></b><br />\r\n                    <br />\r\n                    <{$message.msg_text}><br />\r\n                    <br />\r\n                </td>\r\n            </tr>\r\n            <tr class=\'foot\'>\r\n                <td width=\'20%\' colspan=\'2\' align=\'left\'>\r\n                    <{foreach item=element from=$pmform.elements}>\r\n                        <{$element.body}>\r\n                    <{/foreach}>\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td colspan=\'2\' align=\'right\'>\r\n                    <{if ( $previous >= 0 ) }>\r\n                        <a href=\'readpmsg.php?start=<{$previous}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>\'>\r\n                            <{$smarty.const._PM_PREVIOUS}>\r\n                        </a>&nbsp|&nbsp;\r\n                    <{else}>\r\n                        <{$smarty.const._PM_PREVIOUS}>&nbsp;|&nbsp;\r\n                    <{/if}>\r\n                    <{if ( $next < $total_messages ) }>\r\n                        <a href=\'readpmsg.php?start=<{$next}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>\'>\r\n                            <{$smarty.const._PM_NEXT}>\r\n                        </a>\r\n                    <{else}>\r\n                        <{$smarty.const._PM_NEXT}>\r\n                    <{/if}>\r\n                </td>\r\n            </tr>\r\n        </table>\r\n    </form>\r\n<{else}>\r\n    <br /><br /><{$smarty.const._PM_YOUDONTHAVE}>\r\n<{/if}>'),(33,'<h4 style=\'text-align:center;\'><{$smarty.const._PM_PRIVATEMESSAGE}></h4><br />\r\n<div style=\"float:right; width: 18%; text-align: right;\">\r\n    <{if $op == \"out\"}>\r\n        <a href=\'viewpmsg.php?op=in\'><{$smarty.const._PM_INBOX}></a> | <a href=\'viewpmsg.php?op=save\'><{$smarty.const._PM_SAVEBOX}></a>\r\n    <{elseif $op == \"save\"}>\r\n        <a href=\'viewpmsg.php?op=in\'><{$smarty.const._PM_INBOX}></a> | <a href=\'viewpmsg.php?op=out\'><{$smarty.const._PM_OUTBOX}></a>\r\n    <{elseif $op == \"in\"}>\r\n        <a href=\'viewpmsg.php?op=out\'><{$smarty.const._PM_OUTBOX}></a> | <a href=\'viewpmsg.php?op=save\'><{$smarty.const._PM_SAVEBOX}></a>\r\n    <{/if}>\r\n</div>\r\n<div style=\"float:left; width: 80%;\">\r\n    <{if $op == \"out\"}><{$smarty.const._PM_OUTBOX}>\r\n    <{elseif $op == \"save\"}><{$smarty.const._PM_SAVEBOX}>\r\n    <{else}><{$smarty.const._PM_INBOX}><{/if}>\r\n</div>\r\n<br />\r\n<br />\r\n<{if $msg}>\r\n    <div class=\"confirmMsg\"><{$msg}></div>\r\n<{/if}>\r\n<{if $errormsg}>\r\n    <div class=\"errorMsg\"><{$errormsg}></div>\r\n<{/if}>\r\n<{if $pagenav}>\r\n<div style=\"padding: 5px;float: right; text-align:right;\">\r\n<{$pagenav}>\r\n</div>\r\n<br clear=\"all\" />\r\n<{/if}>\r\n<form name=\"<{$pmform.name}>\" id=\"<{$pmform.name}>\" action=\"<{$pmform.action}>\" method=\"<{$pmform.method}>\" <{$pmform.extra}> >\r\n    <table border=\'0\' cellspacing=\'1\' cellpadding=\'4\' width=\'100%\' class=\'outer\'>\r\n    \r\n        <tr align=\'center\' valign=\'middle\'>\r\n            <th><input name=\'allbox\' id=\'allbox\' onclick=\'xoopsCheckAll(\"<{$pmform.name}>\", \"allbox\");\' type=\'checkbox\' value=\'Check All\' /></th>\r\n            <th><img src=\'<{$xoops_url}>/images/download.gif\' alt=\'\' border=\'0\' /></th>\r\n            <th>&nbsp;</th>\r\n            <{if $op == \"out\"}>\r\n                <th><{$smarty.const._PM_TO}></th>\r\n            <{else}>\r\n                <th><{$smarty.const._PM_FROM}></th>\r\n            <{/if}>\r\n            <th><{$smarty.const._PM_SUBJECT}></th>\r\n            <th align=\'center\'><{$smarty.const._PM_DATE}></th>\r\n        </tr>\r\n        \r\n        <{if $total_messages == 0}>\r\n            <tr>\r\n                <td class=\'even\' colspan=\'6\' align=\'center\'><{$smarty.const._PM_YOUDONTHAVE}></td>\r\n            </tr>\r\n        <{/if}>\r\n        <{foreach item=message from=$messages}>\r\n            <tr align=\'left\' class=\'<{cycle values=\"odd, even\"}>\'>\r\n                <td valign=\'top\' width=\'2%\' align=\'center\'>\r\n                    <input type=\'checkbox\' id=\'msg_id_<{$message.msg_id}>\' name=\'msg_id[]\' value=\'<{$message.msg_id}>\' />\r\n                </td>\r\n                <{if $message.read_msg == 1}>\r\n                    <td valign=\'top\' width=\'5%\' align=\'center\'>&nbsp;</td>\r\n                <{else}>\r\n                    <td valign=\'top\' width=\'5%\' align=\'center\'><img src=\'images/read.gif\' alt=\'<{$smarty.const._PM_NOTREAD}>\' /></td>\r\n                <{/if}>\r\n                <td valign=\'top\' width=\'5%\' align=\'center\'>\r\n                    <{if $message.msg_image != \"\"}>\r\n                        <img src=\'<{$xoops_url}>/images/subject/<{$message.msg_image}>\' alt=\'\' />\r\n                    <{/if}>\r\n                </td>\r\n                <td valign=\'middle\' width=\'10%\'>\r\n                    <{if $message.postername != \"\"}>\r\n                        <a href=\'<{$xoops_url}>/userinfo.php?uid=<{$message.from_userid}>\'><{$message.postername}></a>\r\n                    <{else}>\r\n                        <{$anonymous}>\r\n                    <{/if}>\r\n                </td>\r\n                <td valign=\'middle\'>\r\n                    <a href=\'readpmsg.php?msg_id=<{$message.msg_id}>start=<{$message.msg_no}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>\'>\r\n                        <{$message.subject}>\r\n                    </a>\r\n                </td>\r\n                <td valign=\'middle\' align=\'center\' width=\'20%\'>\r\n                    <{$message.msg_time}>\r\n                </td>\r\n            </tr>\r\n        <{/foreach}>\r\n        <tr class=\'bg2\' align=\'left\'>\r\n            <td colspan=\'6\' align=\'left\'>\r\n                <{$pmform.elements.send.body}>\r\n                <{if $display}>\r\n                    &nbsp;<{$pmform.elements.move_messages.body}>\r\n                    &nbsp;<{$pmform.elements.delete_messages.body}>\r\n                    &nbsp;<{$pmform.elements.empty_messages.body}>\r\n                <{/if}>\r\n                <{foreach item=element from=$pmform.elements}>\r\n                    <{if $element.hidden == 1}>\r\n                        <{$element.body}>\r\n                    <{/if}>\r\n                <{/foreach}>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>\r\n<{if $pagenav}>\r\n<div style=\"padding: 5px;float: right; text-align:right;\">\r\n<{$pagenav}>\r\n</div>\r\n<{/if}>'),(34,'<div><a href=\"field.php?op=new\"><{$smarty.const._ADD}> <{$smarty.const._PROFILE_AM_FIELD}></a></div>\r\n<form action=\"field.php\" method=\"post\" id=\"fieldform\">\r\n    <table>\r\n        <th><{$smarty.const._PROFILE_AM_NAME}></th>\r\n        <th><{$smarty.const._PROFILE_AM_TITLE}></th>\r\n        <th><{$smarty.const._PROFILE_AM_DESCRIPTION}></th>\r\n        <th><{$smarty.const._PROFILE_AM_MODULE}></th>\r\n        <th><{$smarty.const._PROFILE_AM_TYPE}></th>\r\n        <th><{$smarty.const._PROFILE_AM_CATEGORY}></th>\r\n        <th><{$smarty.const._PROFILE_AM_WEIGHT}></th>\r\n        <th></th>\r\n        <{foreach item=category from=$fieldcategories}>\r\n            <{foreach item=field from=$category}>\r\n                <tr class=\"<{cycle values=\'odd, even\'}>\">\r\n                    <td><{$field.field_name}></td>\r\n                    <td><{$field.field_title}></td>\r\n                    <td><{$field.field_description}></td>\r\n                    <td><{$field.module}></td>\r\n                    <td><{$field.fieldtype}></td>\r\n                    <td>\r\n                        <{if $field.canEdit}>\r\n                            <select name=\"category[<{$field.fieldid}>]\"><{html_options options=$categories selected=$field.catid}></select>\r\n                        <{/if}>\r\n                    </td>\r\n                    <td>\r\n                        <{if $field.canEdit}>\r\n                            <input type=\"text\" name=\"weight[<{$field.fieldid}>]\" size=\"5\" maxlength=\"5\" value=\"<{$field.field_weight}>\" />\r\n                        <{/if}>\r\n                    </td>\r\n                    <td>\r\n                        <{if $field.canEdit}>\r\n                            <input type=\"hidden\" name=\"oldweight[<{$field.fieldid}>]\" value=\"<{$field.field_weight}>\" />\r\n                            <input type=\"hidden\" name=\"oldcat[<{$field.fieldid}>]\" value=\"<{$field.catid}>\" />\r\n                            <input type=\"hidden\" name=\"fieldids[]\" value=\"<{$field.fieldid}>\" />\r\n                            <a href=\"field.php?id=<{$field.fieldid}>\" title=\"<{$smarty.const._EDIT}>\"><{$smarty.const._EDIT}></a>\r\n                        <{/if}>\r\n                        <{if $field.canDelete}>\r\n                            &nbsp;<a href=\"field.php?op=delete&amp;id=<{$field.fieldid}>\" title=\"<{$smarty.const._DELETE}>\"><{$smarty.const._DELETE}></a>\r\n                        <{/if}>\r\n                    </td>\r\n                </tr>\r\n            <{/foreach}>\r\n        <{/foreach}>\r\n        <tr class=\"<{cycle values=\'odd, even\'}>\">\r\n            <td colspan=\"6\">\r\n            </td>\r\n            <td>\r\n                <{$token}>\r\n                <input type=\"hidden\" name=\"op\" value=\"reorder\" />\r\n                <input type=\"submit\" name=\"submit\" value=\"<{$smarty.const._SUBMIT}>\" />\r\n            </td>\r\n            <td colspan=\"2\">\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>'),(35,'<{if $user_ownpage == true}>\r\n\r\n    <form name=\"usernav\" action=\"user.php\" method=\"post\">\r\n    \r\n    <br /><br />\r\n    \r\n    <table width=\"70%\" align=\"center\" border=\"0\">\r\n      <tr align=\"center\">\r\n        <td><input type=\"button\" value=\"<{$lang_editprofile}>\" onclick=\"location=\'edituser.php\'\" />\r\n        <input type=\"button\" value=\"<{$lang_avatar}>\" onclick=\"location=\'edituser.php?op=avatarform\'\" />\r\n    \r\n        <{if $user_candelete == true}>\r\n        <input type=\"button\" value=\"<{$lang_deleteaccount}>\" onclick=\"location=\'<{$xoops_url}>/user.php?op=delete\'\" />\r\n        <{/if}>\r\n    \r\n        <input type=\"button\" value=\"<{$lang_logout}>\" onclick=\"location=\'<{$xoops_url}>/user.php?op=logout\'\" /></td>\r\n      </tr>\r\n    </table>\r\n    </form>\r\n\r\n<br /><br />\r\n<{elseif $xoops_isadmin != false}>\r\n    \r\n    <br /><br />\r\n    \r\n    <table width=\"70%\" align=\"center\" border=\"0\">\r\n      <tr align=\"center\">\r\n        <td><input type=\"button\" value=\"<{$lang_editprofile}>\" onclick=\"location=\'<{$xoops_url}>/modules/profile/admin/user.php?op=edit&amp;id=<{$user_uid}>\'\" />\r\n        <input type=\"button\" value=\"<{$lang_deleteaccount}>\" onclick=\"location=\'<{$xoops_url}>/modules/profile/admin/user.php?op=delete&amp;id=<{$user_uid}>\'\" />\r\n      </tr>\r\n    </table>\r\n    \r\n    <br /><br />\r\n<{/if}>\r\n\r\n<{foreach item=category from=$categories name=catcount}>\r\n    <{if isset($category.fields)}>\r\n        <div style=\"width: 48%; float: left; padding: 0px 5px 10px 5px;\">\r\n            <table class=\"outer\" cellpadding=\"4\" cellspacing=\"1\">\r\n                <tr>\r\n                  <th colspan=\"2\" align=\"center\"><{$category.cat_title}></th>\r\n                </tr>\r\n                <{foreach item=field from=$category.fields}>\r\n                    <tr>\r\n                        <td class=\"head\"><{$field.title}></td>\r\n                        <td class=\"even\"><{$field.value}></td>\r\n                    </tr>\r\n                <{/foreach}>\r\n            </table>\r\n        </div>\r\n    <{/if}>\r\n<{/foreach}>\r\n\r\n<{if $modules}>\r\n    <br style=\"clear: both;\"/>\r\n    <!-- start module search results loop -->\r\n    <{foreach item=module from=$modules}>\r\n    \r\n    <p>\r\n    <h4><{$module.name}></h4>\r\n    \r\n      <!-- start results item loop -->\r\n          <{foreach item=result from=$module.results}>\r\n        \r\n          <img src=\"<{$result.image}>\" alt=\"<{$module.name}>\" /><b><a href=\"<{$result.link}>\"><{$result.title}></a></b><br /><small>(<{$result.time}>)</small><br />\r\n        \r\n          <{/foreach}>\r\n          <!-- end results item loop -->\r\n        \r\n    <{$module.showall_link}>\r\n    </p>\r\n        \r\n    <{/foreach}>\r\n    <!-- end module search results loop -->\r\n<{/if}>'),(36,'<div><a href=\"category.php?op=new\"><{$smarty.const._ADD}> <{$smarty.const._PROFILE_AM_CATEGORY}></a></div>\r\n<table>\r\n    <th><{$smarty.const._PROFILE_AM_TITLE}></th>\r\n    <th><{$smarty.const._PROFILE_AM_DESCRIPTION}></th>\r\n    <th><{$smarty.const._PROFILE_AM_WEIGHT}></th>\r\n    <th></th>\r\n    <{foreach item=category from=$categories}>\r\n        <tr class=\"<{cycle values=\'odd, even\'}>\">\r\n            <td><{$category.cat_title}></td>\r\n            <td><{$category.cat_description}></td>\r\n            <td><{$category.cat_weight}></td>\r\n            <td>\r\n                <a href=\"category.php?id=<{$category.catid}>\" title=\"<{$smarty.const._EDIT}>\"><{$smarty.const._EDIT}></a>\r\n                &nbsp;<a href=\"category.php?op=delete&amp;id=<{$category.catid}>\" title=\"<{$smarty.const._DELETE}>\"><{$smarty.const._DELETE}></a>\r\n            </td>\r\n        </tr>\r\n    <{/foreach}>\r\n</table>'),(37,'<form name=\"<{$searchform.name}>\" id=\"<{$searchform.name}>\" action=\"<{$searchform.action}>\" method=\"<{$searchform.method}>\" <{$searchform.extra}> >\r\n    <table>\r\n    <!-- start of visible form elements loop -->\r\n    <{foreach item=element from=$searchform.elements}>\r\n        <{if $element.hidden != true}>\r\n            <tr valign=\"top\">\r\n                <td class=\"head\"><{$element.caption}></td>\r\n                <td class=\"odd\" style=\"white-space: nowrap;\"><{$element.body}></td>\r\n            </tr>\r\n        <{/if}>\r\n    <{/foreach}>\r\n    <!-- end of visible form elements loop -->\r\n    </table>\r\n    <{foreach item=element from=$searchform.elements}>\r\n        <{if $element.hidden == true}>\r\n            <{$element.body}>\r\n        <{/if}>\r\n    <{/foreach}>\r\n</form>'),(38,'<div>\r\n    <a href=\"<{$xoops_url}>/modules/profile/search.php\" title=\"<{$smarty.const._BACK}>\"><{$smarty.const._SEARCH}></a> >> <{$smarty.const._PROFILE_MA_RESULTS}>\r\n</div>\r\n<br />\r\n<{if $users}>\r\n    <table>\r\n        <tr>\r\n            <{foreach item=caption from=$captions}>\r\n                <th><{$caption}></th>\r\n            <{/foreach}>\r\n        </tr>\r\n        <{foreach item=user from=$users}>\r\n            <tr class=\"<{cycle values=\'odd, even\'}>\">\r\n                <{foreach item=fieldvalue from=$user.output}>\r\n                    <td><{$fieldvalue}></td>\r\n                <{/foreach}>\r\n            </tr>\r\n        <{/foreach}>\r\n    </table>\r\n    \r\n    <{$nav}>\r\n<{else}>\r\n    <div class=\"errorMsg\">\r\n        <{$smarty.const._PROFILE_MA_NOUSERSFOUND}>\r\n    </div>\r\n<{/if}>');
CREATE TABLE `@@DB_MAIN_PREFIX@@_user_profile` (
  `profileid` int(12) unsigned NOT NULL auto_increment,
  `umode` text NOT NULL,
  `uorder` text NOT NULL,
  `notify_method` text NOT NULL,
  `notify_mode` text NOT NULL,
  `user_regdate` int(10) NOT NULL default '0',
  `posts` int(10) NOT NULL default '0',
  `attachsig` int(1) NOT NULL default '0',
  `timezone_offset` varchar(255) NOT NULL default '',
  `user_mailok` int(1) NOT NULL default '1',
  `theme` varchar(255) NOT NULL default '',
  `actkey` varchar(255) NOT NULL default '',
  `last_login` int(10) NOT NULL default '0',
  `pm_link` text NOT NULL,
  `user_aim` varchar(255) NOT NULL default '',
  `user_icq` varchar(255) NOT NULL default '',
  `user_from` varchar(255) NOT NULL default '',
  `user_sig` text NOT NULL,
  `user_viewemail` int(1) NOT NULL default '0',
  `user_yim` varchar(255) NOT NULL default '',
  `user_msnm` varchar(255) NOT NULL default '',
  `bio` text NOT NULL,
  `user_intrest` varchar(150) NOT NULL default '',
  `user_occ` varchar(100) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `newemail` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`profileid`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `@@DB_MAIN_PREFIX@@_user_profile` VALUES (1,'','','','',1122626304,0,0,'',1,'0','',1122626375,'','','','','',0,'','','','','','','');
CREATE TABLE `@@DB_MAIN_PREFIX@@_user_profile_field` (
  `fieldid` int(12) unsigned NOT NULL auto_increment,
  `field_type` varchar(30) NOT NULL default '',
  `field_valuetype` tinyint(2) unsigned NOT NULL default '0',
  `field_name` varchar(255) NOT NULL default '',
  `field_title` varchar(255) NOT NULL default '',
  `field_description` text NOT NULL,
  `field_required` tinyint(2) unsigned NOT NULL default '0',
  `field_maxlength` tinyint(6) unsigned NOT NULL default '0',
  `field_default` text NOT NULL,
  `field_moduleid` int(12) unsigned NOT NULL default '0',
  `field_notnull` tinyint(2) unsigned NOT NULL default '0',
  `field_edit` tinyint(2) unsigned NOT NULL default '0',
  `field_show` tinyint(2) unsigned NOT NULL default '0',
  `field_config` tinyint(2) unsigned NOT NULL default '0',
  `field_options` text NOT NULL,
  `field_register` tinyint(2) unsigned NOT NULL default '0',
  PRIMARY KEY  (`fieldid`),
  UNIQUE KEY `field_name` (`field_name`)
) TYPE=MyISAM AUTO_INCREMENT=26;
INSERT INTO `@@DB_MAIN_PREFIX@@_user_profile_field` VALUES (1,'select',7,'umode','Comments Display Mode','',0,0,'',1,1,1,0,0,'a:3:{s:4:\"nest\";s:6:\"Nested\";s:4:\"flat\";s:4:\"Flat\";s:6:\"thread\";s:8:\"Threaded\";}',0),(2,'select',7,'uorder','Comments Sort Order','',0,0,'',1,1,1,0,0,'a:2:{i:0;s:12:\"Oldest First\";i:1;s:12:\"Newest First\";}',0),(3,'select',7,'notify_method','Notification Method','When you monitor e.g. a forum, how would you like to receive notifications of updates?',0,0,'',1,1,1,0,0,'a:3:{i:0;s:19:\"Temporarily Disable\";i:1;s:15:\"Private Message\";i:2;s:33:\"Email (use address in my profile)\";}',0),(4,'select',7,'notify_mode','Default Notification Mode','',0,0,'',1,1,1,0,0,'a:3:{i:0;s:33:\"Notify me of all selected updates\";i:1;s:19:\"Notify me only once\";i:2;s:48:\"Notify me once then disable until I log in again\";}',0),(5,'date',3,'user_regdate','Member Since','',0,10,'0',1,1,0,1,0,'a:0:{}',0),(6,'textbox',3,'posts','Posts','',0,10,'0',1,1,0,1,0,'a:0:{}',0),(7,'yesno',3,'attachsig','Always attach my signature','',0,1,'',1,1,1,0,0,'a:0:{}',0),(8,'timezone',1,'timezone_offset','Time Zone','',0,255,'',1,1,1,0,0,'a:0:{}',0),(9,'yesno',3,'user_mailok','Receive occasional email notices?','By enabling this, administrators and moderators are allowed to send you notices occasionally via email',0,1,'1',1,1,1,0,0,'a:0:{}',0),(10,'theme',1,'theme','Theme','',0,255,'0',1,1,1,0,0,'a:0:{}',0),(11,'textbox',1,'actkey','User activation key','',0,255,'',1,1,0,0,0,'a:0:{}',0),(12,'date',3,'last_login','Last Login','',0,10,'',1,1,0,1,0,'a:0:{}',0),(13,'autotext',2,'pm_link','PM Link','Shows a link to send a private message to the user',0,0,'<a href=\"javascript:openWithSelfMain(\'{X_URL}/modules/pm/pmlite.php?send2=1&to_userid={X_UID}\', \'pmlite\', 550, 450);\" title=\"Write a message to {X_UNAME}\"><img src=\"{X_URL}/modules/pm/images/pm.gif\" alt=\"Write a message to {X_UNAME}\" /></a>',2,1,0,1,0,'a:0:{}',0),(14,'textbox',1,'user_aim','AIM','America Online Instant Messenger Client ID',0,255,'',3,1,1,1,1,'a:0:{}',0),(15,'textbox',1,'user_icq','ICQ','ICQ Instant Messenger ID',0,255,'',3,1,1,1,1,'a:0:{}',0),(16,'textbox',1,'user_from','Location','',0,255,'',3,1,1,1,1,'a:0:{}',0),(17,'dhtml',2,'user_sig','Signature','Here, you can write a signature that can be displayed in your forum posts, comments etc.',0,0,'',3,1,1,1,1,'a:0:{}',0),(18,'yesno',3,'user_viewemail','Allow other users to view my email address','',0,1,'0',3,1,1,0,0,'a:0:{}',0),(19,'textbox',1,'user_yim','YIM','Yahoo! Instant Messenger ID',0,255,'',3,1,1,1,1,'a:0:{}',0),(20,'textbox',1,'user_msnm','MSN','Microsoft Messenger ID',0,255,'',3,1,1,1,1,'a:0:{}',0),(21,'textarea',2,'bio','Extra Info','',0,0,'',3,1,1,1,1,'a:0:{}',0),(22,'textbox',1,'user_intrest','Interests','',0,150,'',3,1,1,1,1,'a:0:{}',0),(23,'textbox',1,'user_occ','Occupation','',0,100,'',3,1,1,1,1,'a:0:{}',0),(24,'textbox',1,'url','Website','',0,100,'',3,1,1,1,1,'a:0:{}',0),(25,'textbox',1,'newemail','New Email','Variable for storing a proposed new email address until confirmation comes from a mail sent to the old one. See modules/profile/changemail.php',0,100,'',3,1,0,0,0,'a:0:{}',0);
CREATE TABLE `@@DB_MAIN_PREFIX@@_users` (
  `uid` mediumint(8) unsigned NOT NULL auto_increment,
  `uname` varchar(55) NOT NULL default '',
  `loginname` varchar(25) NOT NULL default '',
  `name` varchar(75) NOT NULL default '',
  `email` varchar(60) NOT NULL default '',
  `user_avatar` varchar(30) NOT NULL default 'blank.gif',
  `pass` varchar(32) NOT NULL default '',
  `rank` smallint(5) unsigned NOT NULL default '0',
  `level` tinyint(3) NOT NULL default '1',
  PRIMARY KEY  (`uid`),
  KEY `uname` (`uname`),
  KEY `email` (`email`),
  KEY `uiduname` (`uid`,`uname`),
  KEY `unamepass` (`uname`,`pass`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `@@DB_MAIN_PREFIX@@_users` VALUES (1,'','@@ADMIN_NAME@@','','@@ADMIN_EMAIL@@','blank.gif','@@ADMIN_PASSWORD@@',7,5);
CREATE TABLE `@@DB_MAIN_PREFIX@@_xoopscomments` (
  `com_id` mediumint(8) unsigned NOT NULL auto_increment,
  `com_pid` mediumint(8) unsigned NOT NULL default '0',
  `com_rootid` mediumint(8) unsigned NOT NULL default '0',
  `com_modid` smallint(5) unsigned NOT NULL default '0',
  `com_itemid` mediumint(8) unsigned NOT NULL default '0',
  `com_icon` varchar(25) NOT NULL default '',
  `com_created` int(10) unsigned NOT NULL default '0',
  `com_modified` int(10) unsigned NOT NULL default '0',
  `com_uid` mediumint(8) unsigned NOT NULL default '0',
  `com_ip` varchar(15) NOT NULL default '',
  `com_title` varchar(255) NOT NULL default '',
  `com_text` text NOT NULL,
  `com_sig` tinyint(1) unsigned NOT NULL default '0',
  `com_status` tinyint(1) unsigned NOT NULL default '0',
  `com_exparams` varchar(255) NOT NULL default '',
  `dohtml` tinyint(1) unsigned NOT NULL default '0',
  `dosmiley` tinyint(1) unsigned NOT NULL default '0',
  `doxcode` tinyint(1) unsigned NOT NULL default '0',
  `doimage` tinyint(1) unsigned NOT NULL default '0',
  `dobr` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`com_id`),
  KEY `com_pid` (`com_pid`),
  KEY `com_itemid` (`com_itemid`),
  KEY `com_uid` (`com_uid`),
  KEY `com_title` (`com_title`(40))
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@_xoopsnotifications` (
  `not_id` mediumint(8) unsigned NOT NULL auto_increment,
  `not_modid` smallint(5) unsigned NOT NULL default '0',
  `not_itemid` mediumint(8) unsigned NOT NULL default '0',
  `not_category` varchar(30) NOT NULL default '',
  `not_event` varchar(30) NOT NULL default '',
  `not_uid` mediumint(8) unsigned NOT NULL default '0',
  `not_mode` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`not_id`),
  KEY `not_modid` (`not_modid`),
  KEY `not_itemid` (`not_itemid`),
  KEY `not_class` (`not_category`),
  KEY `not_uid` (`not_uid`),
  KEY `not_event` (`not_event`)
) TYPE=MyISAM;
